import ctypes as ct
import ctypes.wintypes as wt
import os
a = os.environ['path']
a =  os.getcwd() + ";" + a
os.environ['path'] = a
litecad = ct.windll.litecad64

LC_FALSE = 0;
LC_TRUE = 1;
LC_WS_HSCROLL = 1;
LC_WS_VSCROLL = 2;
LC_WS_BORDER = 4;
LC_WS_CLIENTEDGE = 8;
LC_WS_SUNKEN = 8;
LC_WS_STATICEDGE = 16;
LC_WS_VIEWTABS = 256;
LC_WS_RULERS = 512;
LC_WS_DEFAULT = 3;
LC_WS2_PROPWND = 1;
LC_WS2_RULERS = 2;
LC_WS2_SCROLLS = 4;
LC_WS2_STATBAR = 8;
LC_WS2_COORDS = 16;
LC_WS2_TOOLBAR = 32;
LC_WS2_DEFAULT = 47;
LC_PS_SOLID = 0;
LC_PS_DASH = 1;
LC_PS_DOT = 2;
LC_PS_DASHDOT = 3;
LC_PS_DASHDOTDOT = 4;
LC_LW_THIN = 0;
LC_LW_REAL = 1;
LC_LW_PIXEL = 2;
LC_FILL_SOLID = 0;
LC_FILL_BDIAGONAL = 1;
LC_FILL_CROSS = 2;
LC_FILL_DIAGCROSS = 3;
LC_FILL_FDIAGONAL = 4;
LC_FILL_HORIZONTAL = 5;
LC_FILL_VERTICAL = 6;
LC_FILL_NONE = 100;
LC_FILL_LINES = 101;
LC_FILL_HATCH = 102;
LC_IMGRES_BOX = 0;
LC_IMGRES_BILINEAR = 1;
LC_IMGRES_BSPLINE = 2;
LC_IMGRES_BICUBIC = 3;
LC_IMGRES_CATMULLROM = 4;
LC_IMGRES_LANCZOS3 = 5;
LC_GRIP_POINT = 0;
LC_GRIP_CENROT = 1;
LC_GRIP_ANGLE = 2;
LC_GRIP_ANGLE2 = 3;
LC_GRIP_BEZIER = 4;
LC_GRIP_BEZIER0 = 5;
LC_GRIP_ARCRAD = 6;
LC_BARTYPE_CODE39 = 0;
LC_BARTYPE_CODE93 = 1;
LC_BARTYPE_CODE128 = 6;
LC_BARTYPE_EAN13 = 7;
LC_BARTYPE_ITF = 8;
LC_BARTYPE_EAN8 = 9;
LC_BARTYPE_QR = 21;
LC_BARTYPE_MQR = 22;
LC_BARTYPE_DMATRIX = 23;
LC_BARC_QRECL_L = 0;
LC_BARC_QRECL_M = 1;
LC_BARC_QRECL_Q = 2;
LC_BARC_QRECL_H = 3;
LC_RAD_TO_DEG = 57.2957795130823208768;
LC_DEG_TO_RAD = 0.01745329251994329577;
LC_PI = 3.14159265358979323846;
LC_PI2 = 1.57079632679489661923;
LC_PI4 = 0.78539816339744830962;
LC_2PI = 6.28318530717958647692;
LC_DEG1 = 0.01745329251994329577;
LC_DEG2 = 0.03490658503988659154;
LC_DEG3 = 0.05235987755982988731;
LC_DEG4 = 0.06981317007977318308;
LC_DEG5 = 0.08726646259971647885;
LC_DEG6 = 0.10471975511965977462;
LC_DEG7 = 0.12217304763960307038;
LC_DEG8 = 0.13962634015954636615;
LC_DEG9 = 0.15707963267948966192;
LC_DEG10 = 0.17453292519943295769;
LC_DEG20 = 0.34906585039886591538;
LC_DEG30 = 0.52359877559829887308;
LC_DEG40 = 0.69813170079773183077;
LC_DEG45 = 0.78539816339744830962;
LC_DEG50 = 0.87266462599716478846;
LC_DEG60 = 1.04719755119659774615;
LC_DEG70 = 1.22173047639603070385;
LC_DEG80 = 1.39626340159546366154;
LC_DEG90 = 1.57079632679489661923;
LC_DEG180 = 3.14159265358979323846;
LC_DEG270 = 4.71238898038468985769;
LC_DEG360 = 6.28318530717958647692;
LC_INSUNIT_UNDEFINED = 0;
LC_INSUNIT_INCHES = 1;
LC_INSUNIT_FEET = 2;
LC_INSUNIT_MILES = 3;
LC_INSUNIT_MILLIMETERS = 4;
LC_INSUNIT_CENTIMETERS = 5;
LC_INSUNIT_METERS = 6;
LC_INSUNIT_KILOMETERS = 7;
LC_INSUNIT_MICROINCHES = 8;
LC_INSUNIT_MILS = 9;
LC_INSUNIT_YARDS = 10;
LC_INSUNIT_ANGSTROMS = 11;
LC_INSUNIT_NANOMETERS = 12;
LC_INSUNIT_MICRONS = 13;
LC_INSUNIT_DECIMETERS = 14;
LC_INSUNIT_DEKAMETERS = 15;
LC_INSUNIT_HECTOMETERS = 16;
LC_INSUNIT_GIGAMETERS = 17;
LC_INSUNIT_ASTRONOMICAL = 18;
LC_INSUNIT_LIGHTYEARS = 19;
LC_INSUNIT_PARSECS = 20;
LC_LUNIT_SCIEN = 1;
LC_LUNIT_DECIM = 2;
LC_LUNIT_ENGIN = 3;
LC_LUNIT_ARCHI = 4;
LC_LUNIT_FRACT = 5;
LC_AUNIT_DEGREE = 0;
LC_AUNIT_DMS = 1;
LC_AUNIT_GRAD = 2;
LC_AUNIT_RADIAN = 3;
LC_AUNIT_SURVEY = 4;
LC_ANGLE_DEGREE = 0;
LC_ANGLE_DMS = 1;
LC_ANGLE_GRAD = 2;
LC_ANGLE_RADIAN = 3;
LC_ANGLE_SURVEY = 4;
LC_PAPER_CUSTOM = 0;
LC_PAPER_A0 = 1;
LC_PAPER_A1 = 2;
LC_PAPER_A2 = 3;
LC_PAPER_A3 = 4;
LC_PAPER_A4 = 5;
LC_PAPER_A5 = 6;
LC_PAPER_A6 = 7;
LC_PAPER_B0 = 11;
LC_PAPER_B1 = 12;
LC_PAPER_B2 = 13;
LC_PAPER_B3 = 14;
LC_PAPER_B4 = 15;
LC_PAPER_B5 = 16;
LC_PAPER_B6 = 17;
LC_PAPER_C0 = 21;
LC_PAPER_C1 = 22;
LC_PAPER_C2 = 23;
LC_PAPER_C3 = 24;
LC_PAPER_C4 = 25;
LC_PAPER_C5 = 26;
LC_PAPER_C6 = 27;
LC_PAPER_ANSI_A = 31;
LC_PAPER_ANSI_B = 32;
LC_PAPER_ANSI_C = 33;
LC_PAPER_ANSI_D = 34;
LC_PAPER_ANSI_E = 35;
LC_PAPER_LETTER = 36;
LC_PAPER_LEGAL = 37;
LC_PAPER_EXECUTIVE = 38;
LC_PAPER_LEDGER = 39;
LC_PAPER_PORTRAIT = 0;
LC_PAPER_BOOK = 0;
LC_PAPER_LANDSCAPE = 1;
LC_PAPER_ALBUM = 1;
LC_TA_LEFBOT = 0;
LC_TA_CENBOT = 1;
LC_TA_RIGBOT = 2;
LC_TA_LEFCEN = 3;
LC_TA_CENTER = 4;
LC_TA_RIGCEN = 5;
LC_TA_LEFTOP = 6;
LC_TA_CENTOP = 7;
LC_TA_RIGTOP = 8;
LC_TA_ALIGNED = 11;
LC_TA_FIT = 12;
LC_TEXT_BACKWARD = 2;
LC_TEXT_UPDOWN = 4;
LC_ATA_LEFT = 0;
LC_ATA_CENTER = 1;
LC_ATA_RIGHT = 2;
LC_BTA_LEFT = 0;
LC_BTA_CENTER = 1;
LC_BTA_RIGHT = 2;
LC_PLFIT_BULGE = 0;
LC_PLFIT_NONE = 0;
LC_PLFIT_QUAD = 5;
LC_PLFIT_CUBIC = 6;
LC_PLFIT_BEZIER = 7;
LC_PLFIT_SPLINE = 99;
LC_PLFIT_ROUND = 101;
LC_PLFIT_LINQUAD = 102;
LC_POINT_PIXEL = 0;
LC_POINT_NONE = 1;
LC_POINT_PLUS = 2;
LC_POINT_X = 3;
LC_POINT_TICK = 4;
LC_POINT_CIRCLE = 32;
LC_POINT_SQUARE = 64;
LC_POINT_RHOMB = 128;
LC_POINT_FILLED = 256;
LC_LBUTTON = 1;
LC_RBUTTON = 2;
LC_MBUTTON = 4;
LC_SHIFT = 1;
LC_CTRL = 2;
LC_ALT = 4;
LC_KBD_QWERTY = 0;
LC_KBD_AZERTY = 1;
LC_KBD_QWERTZ = 2;
LC_CURSOR_NULL = 0;
LC_CURSOR_ARROW = 1;
LC_CURSOR_CROSS = 2;
LC_CURSOR_HAND = 3;
LC_CURSOR_HELP = 4;
LC_CURSOR_NO = 5;
LC_CURSOR_WAIT = 6;
LC_CURSOR_PAN1 = 7;
LC_CURSOR_PAN2 = 8;
LC_HELP_DG_PRINT = 1;
LC_HELP_DG_RASTER = 2;
LC_HELP_DG_GBR_APERS = 4;
LC_HELP_DG_GBR_BITMAP = 5;
LC_HELP_DG_COLOR = 6;
LC_HELP_DG_LAYERS = 7;
LC_HELP_DG_SELLTYPE = 8;
LC_HELP_DG_LINETYPES = 9;
LC_HELP_DG_LOADLINETYPE = 10;
LC_HELP_DG_TEXTSTYLES = 11;
LC_HELP_DG_PNTSTYLES = 12;
LC_HELP_DG_HATSTYLES = 13;
LC_HELP_DG_SELBLOCK = 14;
LC_HELP_DG_SELTSTYLE = 15;
LC_HELP_DG_SELPTYPE = 16;
LC_HELP_DG_CREBLOCK = 17;
LC_HELP_DG_BLOCKS = 18;
LC_HELP_DG_LAYOUTS = 19;
LC_HELP_DG_PAGEPROP = 20;
LC_HELP_DG_IMAGES = 21;
LC_HELP_DG_IMAGEINSERT = 22;
LC_HELP_DG_SELFONT = 23;
LC_HELP_DG_TEXT = 24;
LC_HELP_DG_ARCTEXT = 25;
LC_HELP_DG_INPUTCOORD = 26;
LC_HELP_DG_WORKFIELD = 27;
LC_HELP_DG_CRBITMAP = 28;
LC_HELP_DG_INSERT = 29;
LC_HELP_DG_TSP = 30;
LC_HELP_DG_ARRAY = 31;
LC_HELP_DG_ARRAYARC = 32;
LC_HELP_DG_GRID = 41;
LC_HELP_DG_PTRACK = 42;
LC_HELP_DG_OSNAP = 43;
LC_HELP_DG_KBMOVE = 44;
LC_UNDO_BEGIN = 0;
LC_UNDO_END = 1;
LC_ERR_OBJTYPE = 1;
LC_ERR_NOTAG = 2;
LC_ERR_USERCANCEL = 3;
LC_ERR_FILENAME = 4;
LC_ERR_FILELOAD = 5;
LC_ERR_FILESAVE = 6;
LC_ERR_UNRESBLOCKREF = 7;
LC_ERR_UNRESVIEWREF = 8;
LC_ERR_UNRESHATCH = 9;
LC_OBJ_LAYER = 1;
LC_OBJ_LINETYPE = 2;
LC_OBJ_TEXTSTYLE = 3;
LC_OBJ_DIMSTYLE = 4;
LC_OBJ_PNTSTYLE = 5;
LC_OBJ_IMAGE = 6;
LC_OBJ_MLSTYLE = 7;
LC_OBJ_FILLING = 8;
LC_OBJ_BLOCK = 9;
LC_OBJ_LAYOUT = 10;
LC_ENT_LINE = 101;
LC_ENT_POLYLINE = 102;
LC_ENT_CIRCLE = 103;
LC_ENT_ARC = 104;
LC_ENT_BLOCKREF = 105;
LC_ENT_POINT = 107;
LC_ENT_XLINE = 108;
LC_ENT_ELLIPSE = 109;
LC_ENT_TEXT = 110;
LC_ENT_TEXTWIN = 111;
LC_ENT_IMAGEREF = 115;
LC_ENT_VIEWPORT = 116;
LC_ENT_CLIPRECT = 117;
LC_ENT_RECT = 118;
LC_ENT_ATTRIB = 120;
LC_ENT_MTEXT = 122;
LC_ENT_ARCTEXT = 123;
LC_ENT_HATCH = 124;
LC_ENT_MLINE = 127;
LC_ENT_DIMROT = 131;
LC_ENT_DIMLIN = 131;
LC_ENT_DIMALI = 132;
LC_ENT_DIMORD = 133;
LC_ENT_DIMRAD = 134;
LC_ENT_DIMDIA = 135;
LC_ENT_DIMANG = 136;
LC_ENT_LEADER = 137;
LC_ENT_RPLAN = 141;
LC_ENT_TIN = 142;
LC_ENT_BARCODE = 150;
LC_ENT_CUSTOM = 1000;
LC_ENT_ALL = 32767;
LC_LWEIGHT_DEFAULT = -3;
LC_LWEIGHT_BYBLOCK = -2;
LC_LWEIGHT_BYLAYER = -1;
LC_LWIDTH_DEFAULT = -3;
LC_LWIDTH_BYBLOCK = -2;
LC_LWIDTH_BYLAYER = -1;
LC_COLOR_RGB = 0;
LC_COLOR_INDEX = 1;
LC_COLOR_RED = 1;
LC_COLOR_YELLOW = 2;
LC_COLOR_GREEN = 3;
LC_COLOR_CYAN = 4;
LC_COLOR_BLUE = 5;
LC_COLOR_MAGENTA = 6;
LC_COLOR_FOREGROUND = 7;
LC_COLOR_GRAY = 8;
LC_COLOR_LTGRAY = 9;
LC_COLOR_BYBLOCK = 0;
LC_COLOR_BYLAYER = 256;
LC_MLINE_TOP = 0;
LC_MLINE_MIDDLE = 1;
LC_MLINE_BOTTOM = 2;
LC_PLUG_IMPDRW = 2;
LC_PLUG_EXPDRW = 3;
LC_PLUG_IMGDIB = 4;
LC_FP_FLOAD = 0;
LC_FP_FSAVE = 1;
LC_FP_NITEMS = 2;
LC_FP_ITEM = 3;
LC_SNAP_NULL = 0;
LC_SNAP_NODE = 1;
LC_SNAP_ENDPOINT = 2;
LC_SNAP_MIDPOINT = 4;
LC_SNAP_CENTER = 8;
LC_SNAP_NEAREST = 16;
LC_SNAP_INTER = 32;
LC_SNAP_PERPEND = 64;
LC_SNAP_TANGENT = 128;
LC_SNAP_QUADRANT = 256;
LC_SNAP_INSERT = 512;
LC_SNAP_NONE = 1024;
LC_SNAP_ALL = 1023;
LC_ATTRIB_HIDDEN = 1;
LC_ATTRIB_CONST = 2;
LC_ATTRIB_VERIFY = 4;
LC_ATTRIB_PRESET = 8;
LC_ATTRIB_LOCK = 16;
LC_ATTRIB_MTEXT = 32;
LC_BLOCK_OVERWRITENO = 0;
LC_BLOCK_OVERWRITEYES = 1;
LC_BLOCK_OVERWRITEDLG = 2;
LC_ARROW_CLOSEDF = 0;
LC_ARROW_CLOSEDB = 1;
LC_ARROW_CLOSED = 2;
LC_ARROW_DOT = 3;
LC_ARROW_ARCHTICK = 4;
LC_ARROW_OBLIQUE = 5;
LC_ARROW_OPEN = 6;
LC_ARROW_ORIGIN = 7;
LC_ARROW_ORIGIN2 = 8;
LC_ARROW_OPEN90 = 9;
LC_ARROW_OPEN30 = 10;
LC_ARROW_DOTSMALL = 11;
LC_ARROW_DOTB = 12;
LC_ARROW_DOTSMALLB = 13;
LC_ARROW_BOX = 14;
LC_ARROW_BOXF = 15;
LC_ARROW_DATUM = 16;
LC_ARROW_DATUMF = 17;
LC_ARROW_INTEGRAL = 18;
LC_ARROW_NONE = 19;
LC_CMD_FILESAVE = 1;
LC_CMD_FILESAVEAS = 2;
LC_CMD_PRINT = 3;
LC_CMD_RASTERIZE = 4;
LC_CMD_FILENEW = 5;
LC_CMD_FILEOPEN = 6;
LC_CMD_FILERECENT = 7;
LC_CMD_ZOOM_IN = 401;
LC_CMD_ZOOM_OUT = 402;
LC_CMD_ZOOM_EXT = 403;
LC_CMD_ZOOM_PREV = 405;
LC_CMD_PAN_LEFT = 407;
LC_CMD_PAN_RIGHT = 408;
LC_CMD_PAN_UP = 409;
LC_CMD_PAN_DOWN = 410;
LC_CMD_ZOOM_WIN = 421;
LC_CMD_PAGENEXT = 423;
LC_CMD_PAGEPREV = 424;
LC_CMD_PAGEMODEL = 425;
LC_CMD_GRID = 101;
LC_CMD_OSNAP = 102;
LC_CMD_PTRACK = 103;
LC_CMD_DIST = 104;
LC_CMD_AREA = 105;
LC_CMD_SELOPTS = 106;
LC_CMD_QSELECT = 107;
LC_CMD_LNGSAVE = 108;
LC_CMD_WORKFIELD = 109;
LC_CMD_WORKFIELDPRM = 110;
LC_CMD_JUMPLINES = 111;
LC_CMD_JUMPLINESPRM = 112;
LC_CMD_TSP2 = 114;
LC_CMD_KBMOVE = 131;
LC_CMD_HELP = 1001;
LC_CMD_RESET = 1003;
LC_CMD_POINT = 201;
LC_CMD_LINE = 202;
LC_CMD_XLINE = 203;
LC_CMD_POLYLINE = 205;
LC_CMD_PLINE = 206;
LC_CMD_RECT = 207;
LC_CMD_CIRCLE = 208;
LC_CMD_ARC = 209;
LC_CMD_ELLIPSE = 210;
LC_CMD_TEXT = 211;
LC_CMD_ATEXT = 212;
LC_CMD_ARCTEXT = 212;
LC_CMD_MTEXT = 213;
LC_CMD_INSERT = 214;
LC_CMD_BARCODE = 215;
LC_CMD_CLRECT = 221;
LC_CMD_CLRECT_DEL = 222;
LC_CMD_CLRECT_DIV = 223;
LC_CMD_CLRECT_CBCOPY = 224;
LC_CMD_CLRECT_BITMAP = 225;
LC_CMD_CLRECT_BITMAP2 = 226;
LC_CMD_SW_GRID = 1011;
LC_CMD_SW_GRIDSNAP = 1012;
LC_CMD_SW_LWEIGHT = 1013;
LC_CMD_SW_OSNAP = 1014;
LC_CMD_SW_PTRACK = 1015;
LC_CMD_SW_POLAR = 1015;
LC_CMD_SW_ORTHO = 1016;
LC_CMD_SNAP_NONE = 1100;
LC_CMD_SNAP_NODE = 1101;
LC_CMD_SNAP_ENDPOINT = 1102;
LC_CMD_SNAP_MIDPOINT = 1103;
LC_CMD_SNAP_CENTER = 1104;
LC_CMD_SNAP_QUADRANT = 1105;
LC_CMD_SNAP_NEAREST = 1106;
LC_CMD_SNAP_INTER = 1107;
LC_CMD_SNAP_PERPEND = 1108;
LC_CMD_SNAP_TANGENT = 1109;
LC_CMD_SNAP_INSERT = 1110;
LC_CMD_SNAP_DIALOG = 1111;
LC_CMD_CBCUT = 301;
LC_CMD_CBCOPY = 302;
LC_CMD_CBPASTE = 303;
LC_CMD_UNDO = 304;
LC_CMD_REDO = 305;
LC_CMD_COPY = 306;
LC_CMD_ERASE = 307;
LC_CMD_MOVE = 308;
LC_CMD_ROTATE = 309;
LC_CMD_SCALE = 310;
LC_CMD_MIRROR = 311;
LC_CMD_EXPLODE = 312;
LC_CMD_JOIN = 314;
LC_CMD_DEP = 315;
LC_CMD_ORDER = 316;
LC_CMD_CLOSEBLOCK = 317;
LC_CMD_BASEPOINT = 318;
LC_CMD_TRIM = 319;
LC_CMD_EXTEND = 320;
LC_CMD_OFFSET = 321;
LC_CMD_OFFSET_POINT = 0;
LC_CMD_OFFSET_DIST = 1;
LC_CMD_BREAK = 322;
LC_CMD_STRETCH = 323;
LC_CMD_FILLET = 324;
LC_CMD_IMGRES = 343;
LC_CMD_IMGPOS = 344;
LC_CMD_LAYER = 501;
LC_CMD_LAYERORD = 502;
LC_CMD_COLOR = 503;
LC_CMD_FCOLOR = 504;
LC_CMD_LINETYPE = 505;
LC_CMD_TEXTSTYLE = 507;
LC_CMD_BLOCK = 508;
LC_CMD_BLOCKS = 509;
LC_CMD_IMAGE = 510;
LC_CMD_PNTSTYLE = 511;
LC_CMD_DIMSTYLE = 512;
LC_CMD_MLSTYLE = 513;
LC_CMD_HATSTYLE = 514;
LC_CMD_FILLING = 515;
LC_CMD_LAYOUT = 516;
LC_CMD_UNITS = 517;
LC_CMD_DRWPRM = 518;
LC_CMDBLOCK_EDIT = 32151;
LC_CMDBLOCK_ATT = 32152;
LC_CMD_GBR_APERTURES = 9001;
LC_CMD_GBR_BITMAP = 9002;
LC_CMD_CUSTOM = 30000;
LC_PROP_G_VERSION = 1;
LC_PROP_G_MSGTITLE = 2;
LC_PROP_G_HELPFILE = 10;
LC_PROP_G_DIRDLL = 11;
LC_PROP_G_DIRFONTS = 13;
LC_PROP_G_DIRLNG = 14;
LC_PROP_G_DIRTPL = 16;
LC_PROP_G_DIRCFG = 17;
LC_PROP_G_SAVECFG = 18;
LC_PROP_G_LNG = 19;
LC_PROP_G_ICON16 = 20;
LC_PROP_G_ICON32 = 21;
LC_PROP_G_RULERBMP = 22;
LC_PROP_G_DLGVAL = 23;
LC_PROP_G_PRNUSEBMP = 24;
LC_PROP_G_PRNBMPFILE = 25;
LC_PROP_G_PICKBOXSIZE = 29;
LC_PROP_G_GRIPSIZE = 30;
LC_PROP_G_GRIPCOLOR = 31;
LC_PROP_G_PNTPIXSIZE = 32;
LC_PROP_G_GETDELENT = 33;
LC_PROP_G_SOLIDTEXT = 50;
LC_PROP_G_SOLIDBARC = 51;
LC_PROP_G_PTBUFNEWPTS = 26;
LC_PROP_G_PTBUFCLR = 27;
LC_PROP_G_MPGONCLR = 28;
LC_PROP_G_WF_LEFT = 34;
LC_PROP_G_WF_BOTTOM = 35;
LC_PROP_G_WF_WIDTH = 36;
LC_PROP_G_WF_HEIGHT = 37;
LC_PROP_G_WF_HIDE = 38;
LC_PROP_G_GBRBMPFILE = 91;
LC_PROP_G_TEXT_ALIGN = 141;
LC_PROP_G_TEXT_H = 142;
LC_PROP_G_TEXT_WS = 143;
LC_PROP_G_TEXT_CSPACE = 144;
LC_PROP_G_TEXT_ANG = 145;
LC_PROP_G_TEXT_OBL = 146;
LC_PROP_G_TEXT_UPDOWN = 147;
LC_PROP_G_TEXT_BACK = 148;
LC_PROP_G_TEXT_FILL = 149;
LC_PROP_G_TEXT_BORDER = 150;
LC_PROP_G_BARC_CENTER = 161;
LC_PROP_G_BARC_ANGLE = 162;
LC_PROP_G_BARC_BELOW = 163;
LC_PROP_G_BARC_QZONE = 164;
LC_PROP_G_BARC_CHSUM = 165;
LC_PROP_G_BARC_ECL = 166;
LC_PROP_G_BARC_INVERT = 167;
LC_PROP_G_BARC_WRATIO = 168;
LC_PROP_G_BARC_LINEW = 169;
LC_PROP_WND_ID = 301;
LC_PROP_WND_WIDTH = 302;
LC_PROP_WND_HEIGHT = 303;
LC_PROP_WND_PIXELSIZE = 304;
LC_PROP_WND_CURSORX = 305;
LC_PROP_WND_CURX = 305;
LC_PROP_WND_CURSORY = 306;
LC_PROP_WND_CURY = 306;
LC_PROP_WND_CURLEF = 307;
LC_PROP_WND_CURBOT = 308;
LC_PROP_WND_CURRIG = 309;
LC_PROP_WND_CURTOP = 310;
LC_PROP_WND_XMIN = 311;
LC_PROP_WND_YMIN = 312;
LC_PROP_WND_XMAX = 313;
LC_PROP_WND_YMAX = 314;
LC_PROP_WND_XCEN = 315;
LC_PROP_WND_YCEN = 316;
LC_PROP_WND_DX = 317;
LC_PROP_WND_DY = 318;
LC_PROP_WND_RULERS = 320;
LC_PROP_WND_SELECT = 321;
LC_PROP_WND_SELBYRECT = 322;
LC_PROP_WND_VIEWBLOCK = 323;
LC_PROP_WND_DRW = 324;
LC_PROP_WND_HWND = 325;
LC_PROP_WND_HASFOCUS = 326;
LC_PROP_WND_WORKFIELD = 327;
LC_PROP_WND_JUMPLINES = 328;
LC_PROP_WND_COLORBG = 330;
LC_PROP_WND_COLORCURSOR = 331;
LC_PROP_WND_COLORFORE = 332;
LC_PROP_WND_COLORINFBG = 333;
LC_PROP_WND_COLORINFBORD = 334;
LC_PROP_WND_COLORINFTEXT = 335;
LC_PROP_WND_CURSORSYS = 338;
LC_PROP_WND_CURSORARROW = 338;
LC_PROP_WND_CURSORCROSS = 339;
LC_PROP_WND_CURSORSIZE = 340;
LC_PROP_WND_COORDS = 341;
LC_PROP_WND_LWMODE = 345;
LC_PROP_WND_LWSCALE = 346;
LC_PROP_WND_BREAKPOINTS = 347;
LC_PROP_WND_BREAKPTNUMS = 348;
LC_PROP_WND_ALPHABLEND = 350;
LC_PROP_WND_SIZE = 351;
LC_PROP_WND_DTIME = 352;
LC_PROP_WND_COMMAND = 369;
LC_PROP_WND_GRIDSNAP = 370;
LC_PROP_WND_GRIDSHOW = 371;
LC_PROP_WND_GRIDDX = 372;
LC_PROP_WND_GRIDDY = 373;
LC_PROP_WND_GRIDX0 = 374;
LC_PROP_WND_GRIDY0 = 375;
LC_PROP_WND_GRIDBOLDX = 376;
LC_PROP_WND_GRIDBOLDY = 377;
LC_PROP_WND_GRIDCOLOR = 378;
LC_PROP_WND_GRIDDOTTED = 379;
LC_PROP_WND_GRIDCOLOR2 = 380;
LC_PROP_WND_GRIDDOTTED2 = 381;
LC_PROP_WND_PANSTEP = 390;
LC_PROP_WND_PANLW = 391;
LC_PROP_WND_PANIMAGE = 392;
LC_PROP_WND_PANFILL = 393;
LC_PROP_WND_PANPIXSZ = 394;
LC_PROP_WND_MEASCOLORPNT = 400;
LC_PROP_WND_MEASCOLORLINE = 401;
LC_PROP_WND_MEASLINESIZE = 402;
LC_PROP_WND_MEASFONTSIZE = 403;
LC_PROP_WND_MEASFILLAREA = 404;
LC_PROP_WND_GBRNLAYERS = 421;
LC_PROP_WND_GBRCLAYER = 422;
LC_PROP_WND_GBRFILENAME = 423;
LC_PROP_FONT_FILENAME = 601;
LC_PROP_FONT_NAME = 602;
LC_PROP_FONT_LCF = 603;
LC_PROP_FONT_HEIGHT = 604;
LC_PROP_FONT_FILLED = 605;
LC_PROP_FONT_TTF = 606;
LC_PROP_FONT_NCHARS = 607;
LC_PROP_MPGON_XMIN = 631;
LC_PROP_MPGON_YMIN = 632;
LC_PROP_MPGON_XMAX = 633;
LC_PROP_MPGON_YMAX = 634;
LC_PROP_MPGON_XCEN = 635;
LC_PROP_MPGON_YCEN = 636;
LC_PROP_MPGON_W = 637;
LC_PROP_MPGON_H = 638;
LC_PROP_TIN_FILENAME = 1831;
LC_PROP_TIN_EMBEDDED = 1832;
LC_PROP_TIN_XMIN = 1835;
LC_PROP_TIN_XMAX = 1836;
LC_PROP_TIN_YMIN = 1837;
LC_PROP_TIN_YMAX = 1838;
LC_PROP_TIN_ZMIN = 1839;
LC_PROP_TIN_ZMAX = 1840;
LC_PROP_TIN_DX = 1841;
LC_PROP_TIN_DY = 1842;
LC_PROP_TIN_DZ = 1843;
LC_PROP_TIN_NPOINTS = 1844;
LC_PROP_TIN_NTRIANS = 1845;
LC_PROP_TIN_VIEWPT = 1851;
LC_PROP_TIN_VIEWPTN = 1852;
LC_PROP_TIN_VIEWPTI = 1853;
LC_PROP_TIN_VIEWPTZ = 1854;
LC_PROP_TIN_VIEWTR = 1855;
LC_PROP_TIN_VIEWTRF = 1856;
LC_PROP_TIN_VIEWTRI = 1857;
LC_PROP_TIN_VIEWTRV = 1858;
LC_PROP_TIN_VIEWISO = 1859;
LC_PROP_TIN_COLPNT = 1860;
LC_PROP_TIN_COLTR = 1861;
LC_PROP_TIN_COLTRI = 1862;
LC_PROP_TIN_COLTRV = 1863;
LC_PROP_TIN_COLISO = 1864;
LC_PROP_TIN_COLISOB = 1865;
LC_PROP_TIN_ISOSTEP = 1870;
LC_PROP_TIN_ISOBOLD = 1871;
LC_PROP_TIN_ISOBASE = 1872;
LC_PROP_CMD_OBJ = 2001;
LC_PROP_CMD_ID = 2002;
LC_PROP_CMD_STEP = 2003;
LC_PROP_CMD_LCWND = 2004;
LC_PROP_CMD_HWND = 2005;
LC_PROP_CMD_CURSORCROSS = 2006;
LC_PROP_DRW_UID = 3001;
LC_PROP_DRW_FILENAME = 3002;
LC_PROP_DRW_DESCR = 3003;
LC_PROP_DRW_COMMENT = 3003;
LC_PROP_DRW_READONLY = 3004;
LC_PROP_DRW_DIRTY = 3005;
LC_PROP_DRW_IDMAX = 3006;
LC_PROP_DRW_RESOLARC = 3008;
LC_PROP_DRW_RESOLSPLINE = 3009;
LC_PROP_DRW_RESOLTEXT = 3010;
LC_PROP_DRW_SYNCZOOM = 3011;
LC_PROP_DRW_WF_LEFT = 3051;
LC_PROP_DRW_WF_BOTTOM = 3052;
LC_PROP_DRW_WF_WIDTH = 3053;
LC_PROP_DRW_WF_HEIGHT = 3054;
LC_PROP_DRW_WF_HIDE = 3055;
LC_PROP_DRW_WF_NUMCRECTS = 3056;
LC_PROP_DRW_WF_COLOR = 3057;
LC_PROP_DRW_WF_COLORCR = 3058;
LC_PROP_DRW_WF_TEXTSIZE = 3059;
LC_PROP_DRW_COLOR = 3101;
LC_PROP_DRW_COLORBYLAYER = 3102;
LC_PROP_DRW_COLORBYBLOCK = 3103;
LC_PROP_DRW_COLORI = 3104;
LC_PROP_DRW_COLORT = 3105;
LC_PROP_DRW_COLORBACKM = 3111;
LC_PROP_DRW_COLORBACKP = 3112;
LC_PROP_DRW_COLORFOREM = 3113;
LC_PROP_DRW_COLORFOREP = 3114;
LC_PROP_DRW_COLORCURSORM = 3115;
LC_PROP_DRW_COLORCURSORP = 3116;
LC_PROP_DRW_COLORPAPER = 3117;
LC_PROP_DRW_LAYER = 3131;
LC_PROP_DRW_LINETYPE = 3132;
LC_PROP_DRW_TEXTSTYLE = 3133;
LC_PROP_DRW_DIMSTYLE = 3134;
LC_PROP_DRW_PNTSTYLE = 3135;
LC_PROP_DRW_MLSTYLE = 3136;
LC_PROP_DRW_BLOCK = 3137;
LC_PROP_DRW_VISBLOCK = 3138;
LC_PROP_DRW_FILLING = 3139;
LC_PROP_DRW_BARTYPE = 3150;
LC_PROP_DRW_LWMODE = 3151;
LC_PROP_DRW_LWSCALE = 3152;
LC_PROP_DRW_LWIDTH = 3153;
LC_PROP_DRW_LWDEFAULT = 3154;
LC_PROP_DRW_LTSCALE = 3155;
LC_PROP_DRW_BLOCK_MODEL = 3170;
LC_PROP_DRW_LAYER_0 = 3171;
LC_PROP_DRW_LINETYPE_CONT = 3172;
LC_PROP_DRW_LINETYPE_BYLAY = 3173;
LC_PROP_DRW_LINETYPE_BYBLK = 3174;
LC_PROP_DRW_TEXTSTYLE_STD = 3175;
LC_PROP_DRW_TSTYLE_STD = 3175;
LC_PROP_DRW_PNTSTYLE_STD = 3176;
LC_PROP_DRW_DIMSTYLE_STD = 3177;
LC_PROP_DRW_MLSTYLE_STD = 3178;
LC_PROP_DRW_XDATASIZE = 3201;
LC_PROP_DRW_XDATA = 3202;
LC_PROP_DRW_INT0 = 3210;
LC_PROP_DRW_INT1 = 3211;
LC_PROP_DRW_INT2 = 3212;
LC_PROP_DRW_INT3 = 3213;
LC_PROP_DRW_INT4 = 3214;
LC_PROP_DRW_INT5 = 3215;
LC_PROP_DRW_INT6 = 3216;
LC_PROP_DRW_INT7 = 3217;
LC_PROP_DRW_INT8 = 3218;
LC_PROP_DRW_INT9 = 3219;
LC_PROP_DRW_FLOAT0 = 3220;
LC_PROP_DRW_FLOAT1 = 3221;
LC_PROP_DRW_FLOAT2 = 3222;
LC_PROP_DRW_FLOAT3 = 3223;
LC_PROP_DRW_FLOAT4 = 3224;
LC_PROP_DRW_FLOAT5 = 3225;
LC_PROP_DRW_FLOAT6 = 3226;
LC_PROP_DRW_FLOAT7 = 3227;
LC_PROP_DRW_FLOAT8 = 3228;
LC_PROP_DRW_FLOAT9 = 3229;
LC_PROP_DRW_STR0 = 3230;
LC_PROP_DRW_STR1 = 3231;
LC_PROP_DRW_STR2 = 3232;
LC_PROP_DRW_STR3 = 3233;
LC_PROP_DRW_STR4 = 3234;
LC_PROP_DRW_STR5 = 3235;
LC_PROP_DRW_STR6 = 3236;
LC_PROP_DRW_STR7 = 3237;
LC_PROP_DRW_STR8 = 3238;
LC_PROP_DRW_STR9 = 3239;
LC_PROP_TABLE_ID = 4001;
LC_PROP_TABLE_NAME = 4002;
LC_PROP_TABLE_DESC = 4003;
LC_PROP_TABLE_DESCR = 4003;
LC_PROP_TABLE_DRW = 4004;
LC_PROP_TABLE_DELETED = 4005;
LC_PROP_TABLE_ODHANDLE = 4010;
LC_PROP_TABLE_TYPE = 4011;
LC_PROP_TABLE_PRIORITY = 4012;
LC_PROP_TABLE_NREFS = 4013;
LC_PROP_TABLE_XDATASIZE = 4051;
LC_PROP_TABLE_XDATA = 4052;
LC_PROP_TABLE_XSTR = 4053;
LC_PROP_TABLE_INT0 = 4060;
LC_PROP_TABLE_INT1 = 4061;
LC_PROP_TABLE_INT2 = 4062;
LC_PROP_TABLE_INT3 = 4063;
LC_PROP_TABLE_INT4 = 4064;
LC_PROP_TABLE_FLOAT0 = 4070;
LC_PROP_TABLE_FLOAT1 = 4071;
LC_PROP_TABLE_FLOAT2 = 4072;
LC_PROP_TABLE_FLOAT3 = 4073;
LC_PROP_TABLE_FLOAT4 = 4074;
LC_PROP_LAYER_ID = 4001;
LC_PROP_LAYER_NAME = 4002;
LC_PROP_LAYER_DESC = 4003;
LC_PROP_LAYER_DESCR = 4003;
LC_PROP_LAYER_DRW = 4004;
LC_PROP_LAYER_DELETED = 4005;
LC_PROP_LAYER_COLOR = 4101;
LC_PROP_LAYER_COLORI = 4102;
LC_PROP_LAYER_COLORT = 4103;
LC_PROP_LAYER_LINETYPE = 4111;
LC_PROP_LAYER_LWEIGHT = 4112;
LC_PROP_LAYER_LWIDTH = 4112;
LC_PROP_LAYER_LOCKED = 4113;
LC_PROP_LAYER_NOPRINT = 4114;
LC_PROP_LAYER_VISIBLE = 4115;
LC_PROP_LAYER_0 = 4116;
LC_PROP_LAYER_NODLG = 4117;
LC_PROP_LINETYPE_ID = 4001;
LC_PROP_LINETYPE_NAME = 4002;
LC_PROP_LINETYPE_DESC = 4003;
LC_PROP_LINETYPE_DESCR = 4003;
LC_PROP_LINETYPE_DRW = 4004;
LC_PROP_LINETYPE_DELETED = 4005;
LC_PROP_LINETYPE_DATA = 4145;
LC_PROP_LINETYPE_SCALE = 4146;
LC_PROP_LINETYPE_CONTINUOUS = 4147;
LC_PROP_LINETYPE_BYLAYER = 4148;
LC_PROP_LINETYPE_BYBLOCK = 4149;
LC_PROP_LINETYPE_STD = 4150;
LC_PROP_LINETYPE_PATLEN = 4151;
LC_PROP_LINETYPE_NELEM = 4153;
LC_PROP_LINETYPE_IELEM = 4154;
LC_PROP_LTELEM_LEN = 4155;
LC_PROP_LTELEM_COMPLEX = 4156;
LC_PROP_LTELEM_SHAPE = 4157;
LC_PROP_LTELEM_TEXT = 4158;
LC_PROP_LTELEM_STYLE = 4159;
LC_PROP_LTELEM_FONTNAME = 4160;
LC_PROP_LTELEM_SCALE = 4161;
LC_PROP_LTELEM_ANGLE = 4162;
LC_PROP_LTELEM_ABSANGLE = 4163;
LC_PROP_LTELEM_X = 4164;
LC_PROP_LTELEM_Y = 4165;
LC_PROP_TSTYLE_ID = 4001;
LC_PROP_TSTYLE_NAME = 4002;
LC_PROP_TSTYLE_DESC = 4003;
LC_PROP_TSTYLE_DESCR = 4003;
LC_PROP_TSTYLE_DRW = 4004;
LC_PROP_TSTYLE_DELETED = 4005;
LC_PROP_TSTYLE_FONT = 4175;
LC_PROP_TSTYLE_HFONT = 4176;
LC_PROP_TSTYLE_HEIGHT = 4177;
LC_PROP_TSTYLE_WSCALE = 4178;
LC_PROP_TSTYLE_OBLIQUE = 4179;
LC_PROP_TSTYLE_ANGLE = 4180;
LC_PROP_TSTYLE_ALIGN = 4181;
LC_PROP_TSTYLE_UPDOWN = 4182;
LC_PROP_TSTYLE_BACKWARD = 4183;
LC_PROP_TSTYLE_LINESPACE = 4184;
LC_PROP_TSTYLE_CHARSPACE = 4185;
LC_PROP_TSTYLE_STANDARD = 4186;
LC_PROP_TSTYLE_SHAPES = 4187;
LC_PROP_TSTYLE_WINFONT = 4188;
LC_PROP_TSTYLE_BOLD = 4189;
LC_PROP_TSTYLE_ITALIC = 4190;
LC_PROP_TSTYLE_UNDERLINE = 4191;
LC_PROP_TSTYLE_STRIKEOUT = 4192;
LC_PROP_DIMST_ID = 4001;
LC_PROP_DIMST_NAME = 4002;
LC_PROP_DIMST_DESC = 4003;
LC_PROP_DIMST_DESCR = 4003;
LC_PROP_DIMST_DRW = 4004;
LC_PROP_DIMST_DELETED = 4005;
LC_PROP_DIMST_STANDARD = 4205;
LC_PROP_DIMST_ADEC = 4211;
LC_PROP_DIMST_ASZ = 4212;
LC_PROP_DIMST_AUNIT = 4213;
LC_PROP_DIMST_AZIN = 4214;
LC_PROP_DIMST_BLK1 = 4215;
LC_PROP_DIMST_BLK2 = 4216;
LC_PROP_DIMST_CEN = 4217;
LC_PROP_DIMST_CLRD = 4218;
LC_PROP_DIMST_CLRE = 4219;
LC_PROP_DIMST_CLRT = 4220;
LC_PROP_DIMST_DEC = 4221;
LC_PROP_DIMST_DSEP = 4222;
LC_PROP_DIMST_EXE = 4223;
LC_PROP_DIMST_EXO = 4224;
LC_PROP_DIMST_GAP = 4225;
LC_PROP_DIMST_LDRBLK = 4226;
LC_PROP_DIMST_LFAC = 4227;
LC_PROP_DIMST_LWD = 4228;
LC_PROP_DIMST_LWE = 4229;
LC_PROP_DIMST_POST = 4230;
LC_PROP_DIMST_RND = 4231;
LC_PROP_DIMST_SCALE = 4232;
LC_PROP_DIMST_TAD = 4233;
LC_PROP_DIMST_TIH = 4234;
LC_PROP_DIMST_TXT = 4235;
LC_PROP_DIMST_TXSTY = 4236;
LC_PROP_DIMST_TSTYLE = 4236;
LC_PROP_DIMST_LUNIT = 4237;
LC_PROP_DIMST_ZIN = 4238;
LC_PROP_PSTYLE_ID = 4001;
LC_PROP_PSTYLE_NAME = 4002;
LC_PROP_PSTYLE_DESC = 4003;
LC_PROP_PSTYLE_DESCR = 4003;
LC_PROP_PSTYLE_DRW = 4004;
LC_PROP_PSTYLE_DELETED = 4005;
LC_PROP_PSTYLE_STANDARD = 4265;
LC_PROP_PSTYLE_BLOCK = 4266;
LC_PROP_PSTYLE_BSCALE = 4267;
LC_PROP_PSTYLE_TSTYLE = 4268;
LC_PROP_PSTYLE_TH = 4269;
LC_PROP_PSTYLE_TWS = 4270;
LC_PROP_PSTYLE_PTMODE = 4271;
LC_PROP_PSTYLE_PTSIZE = 4272;
LC_PROP_PSTYLE_SNAP = 4273;
LC_PROP_PSTYLE_FIXED = 4274;
LC_PROP_MLSTYLE_ID = 4001;
LC_PROP_MLSTYLE_NAME = 4002;
LC_PROP_MLSTYLE_DESC = 4003;
LC_PROP_MLSTYLE_DESCR = 4003;
LC_PROP_MLSTYLE_DRW = 4004;
LC_PROP_MLSTYLE_DELETED = 4005;
LC_PROP_MLSTYLE_STANDARD = 4281;
LC_PROP_MLSTYLE_JOINTS = 4282;
LC_PROP_MLSTYLE_STARTLINE = 4283;
LC_PROP_MLSTYLE_STARTARC = 4284;
LC_PROP_MLSTYLE_ENDLINE = 4285;
LC_PROP_MLSTYLE_ENDARC = 4286;
LC_PROP_MLSTYLE_NLINES = 4287;
LC_PROP_MLSTYLE_ILINE = 4288;
LC_PROP_MLSTYLE_OFFSET = 4289;
LC_PROP_MLSTYLE_LTYPE = 4290;
LC_PROP_MLSTYLE_COLOR = 4291;
LC_PROP_IMAGE_ID = 4001;
LC_PROP_IMAGE_NAME = 4002;
LC_PROP_IMAGE_DESC = 4003;
LC_PROP_IMAGE_DESCR = 4003;
LC_PROP_IMAGE_DRW = 4004;
LC_PROP_IMAGE_DELETED = 4005;
LC_PROP_IMAGE_FILENAME = 4401;
LC_PROP_IMAGE_SIZE = 4402;
LC_PROP_IMAGE_WPIX = 4403;
LC_PROP_IMAGE_W = 4404;
LC_PROP_IMAGE_HPIX = 4405;
LC_PROP_IMAGE_H = 4406;
LC_PROP_IMAGE_CBIT = 4407;
LC_PROP_IMAGE_RGB = 4408;
LC_PROP_IMAGE_EMBEDDED = 4409;
LC_PROP_IMAGE_CREATED = 4410;
LC_PROP_IMAGE_COLORS = 4411;
LC_PROP_IMAGE_BITS = 4412;
LC_PROP_IMAGE_DIB = 4413;
LC_PROP_IMAGE_TRANSPARENT = 4414;
LC_PROP_IMAGE_TRANCOLOR = 4415;
LC_PROP_FILL_ID = 4001;
LC_PROP_FILL_NAME = 4002;
LC_PROP_FILL_DESC = 4003;
LC_PROP_FILL_DESCR = 4003;
LC_PROP_FILL_DRW = 4004;
LC_PROP_FILL_DELETED = 4005;
LC_PROP_FILL_NONE = 4501;
LC_PROP_FILL_SOLID = 4502;
LC_PROP_FILL_TYPE = 4503;
LC_PROP_BLOCK_ID = 4001;
LC_PROP_BLOCK_NAME = 4002;
LC_PROP_BLOCK_DESC = 4003;
LC_PROP_BLOCK_DESCR = 4003;
LC_PROP_BLOCK_DRW = 4004;
LC_PROP_BLOCK_DELETED = 4005;
LC_PROP_BLOCK_X = 4801;
LC_PROP_BLOCK_Y = 4802;
LC_PROP_BLOCK_UFSCALING = 4803;
LC_PROP_BLOCK_UNITS = 4804;
LC_PROP_BLOCK_UNITSCALE = 4810;
LC_PROP_BLOCK_MODEL = 4811;
LC_PROP_BLOCK_PAPER = 4812;
LC_PROP_BLOCK_LAYOUT = 4813;
LC_PROP_BLOCK_STANDARD = 4814;
LC_PROP_BLOCK_LAYOUTNAME = 4815;
LC_PROP_BLOCK_LAYOUTODHANDLE = 4816;
LC_PROP_BLOCK_LAYOUTORDER = 4817;
LC_PROP_BLOCK_HIDDEN = 4818;
LC_PROP_BLOCK_DIM = 4819;
LC_PROP_BLOCK_HATCH = 4820;
LC_PROP_BLOCK_NOBJ = 4821;
LC_PROP_BLOCK_NENTS = 4821;
LC_PROP_BLOCK_NSELOBJ = 4822;
LC_PROP_BLOCK_NSELENTS = 4822;
LC_PROP_BLOCK_ATTRIBS = 4827;
LC_PROP_BLOCK_XMIN = 4831;
LC_PROP_BLOCK_YMIN = 4832;
LC_PROP_BLOCK_XMAX = 4833;
LC_PROP_BLOCK_YMAX = 4834;
LC_PROP_BLOCK_DX = 4835;
LC_PROP_BLOCK_DY = 4836;
LC_PROP_BLOCK_VISLEF = 4837;
LC_PROP_BLOCK_VISBOT = 4838;
LC_PROP_BLOCK_VISRIG = 4839;
LC_PROP_BLOCK_VISTOP = 4840;
LC_PROP_BLOCK_SELXMIN = 4841;
LC_PROP_BLOCK_SELYMIN = 4842;
LC_PROP_BLOCK_SELXMAX = 4843;
LC_PROP_BLOCK_SELYMAX = 4844;
LC_PROP_PAPER_INCH = 4851;
LC_PROP_PAPER_X0 = 4852;
LC_PROP_PAPER_Y0 = 4853;
LC_PROP_PAPER_SIZE = 4854;
LC_PROP_PAPER_ORIENT = 4855;
LC_PROP_PAPER_W = 4856;
LC_PROP_PAPER_H = 4857;
LC_PROP_ENT_ID = 5001;
LC_PROP_ENT_KEY = 5002;
LC_PROP_ENT_COLOR = 5003;
LC_PROP_ENT_COLORI = 5004;
LC_PROP_ENT_COLORT = 5005;
LC_PROP_ENT_COLORBYLAYER = 5006;
LC_PROP_ENT_COLORBYBLOCK = 5007;
LC_PROP_ENT_FILLING = 5018;
LC_PROP_ENT_FILLED = 5019;
LC_PROP_ENT_SOLIDFILL = 5021;
LC_PROP_ENT_FCOLOR = 5008;
LC_PROP_ENT_FCOLORI = 5009;
LC_PROP_ENT_FCOLORT = 5010;
LC_PROP_ENT_FCOLORBYLAYER = 5011;
LC_PROP_ENT_FCOLORBYBLOCK = 5012;
LC_PROP_ENT_FALPHA = 5013;
LC_PROP_ENT_BORDER = 5020;
LC_PROP_ENT_LAYER = 5014;
LC_PROP_ENT_LINETYPE = 5015;
LC_PROP_ENT_LTSCALE = 5016;
LC_PROP_ENT_LWEIGHT = 5017;
LC_PROP_ENT_LWIDTH = 5017;
LC_PROP_ENT_BLOCK = 5022;
LC_PROP_ENT_DRW = 5023;
LC_PROP_ENT_LOCKED = 5024;
LC_PROP_ENT_VISIBLE = 5025;
LC_PROP_ENT_HIDDEN = 5026;
LC_PROP_ENT_BLINK = 5027;
LC_PROP_ENT_TYPE = 5028;
LC_PROP_ENT_DELETED = 5029;
LC_PROP_ENT_IMMORTAL = 5030;
LC_PROP_ENT_SELECTED = 5031;
LC_PROP_ENT_PRIORITY = 5040;
LC_PROP_ENT_XDATASIZE = 5041;
LC_PROP_ENT_XDATA = 5042;
LC_PROP_ENT_XSTR = 5043;
LC_PROP_ENT_Z = 5045;
LC_PROP_ENT_XMIN = 5046;
LC_PROP_ENT_YMIN = 5047;
LC_PROP_ENT_XMAX = 5048;
LC_PROP_ENT_YMAX = 5049;
LC_PROP_POINT_STYLE = 5101;
LC_PROP_POINT_X = 5102;
LC_PROP_POINT_Y = 5103;
LC_PROP_POINT_SIZE = 5104;
LC_PROP_POINT_MODE = 5105;
LC_PROP_POINT_BANGLE = 5106;
LC_PROP_POINT_TDX = 5107;
LC_PROP_POINT_TDY = 5108;
LC_PROP_POINT_TANGLE = 5109;
LC_PROP_POINT_TEXT = 5110;
LC_PROP_POINT_TEXTLEN = 5111;
LC_PROP_LINE_X0 = 5121;
LC_PROP_LINE_Y0 = 5122;
LC_PROP_LINE_Z0 = 5123;
LC_PROP_LINE_X1 = 5124;
LC_PROP_LINE_Y1 = 5125;
LC_PROP_LINE_Z1 = 5126;
LC_PROP_LINE_DX = 5127;
LC_PROP_LINE_DY = 5128;
LC_PROP_LINE_DZ = 5129;
LC_PROP_LINE_ANG = 5130;
LC_PROP_LINE_LEN = 5131;
LC_PROP_XLINE_X0 = 5141;
LC_PROP_XLINE_Y0 = 5142;
LC_PROP_XLINE_ANG = 5144;
LC_PROP_XLINE_DIRX = 5145;
LC_PROP_XLINE_DIRY = 5146;
LC_PROP_XLINE_RAY = 5147;
LC_PROP_CIRCLE_X = 5201;
LC_PROP_CIRCLE_Y = 5202;
LC_PROP_CIRCLE_R = 5204;
LC_PROP_CIRCLE_RAD = 5204;
LC_PROP_CIRCLE_RADIUS = 5204;
LC_PROP_CIRCLE_DIAM = 5205;
LC_PROP_CIRCLE_LEN = 5206;
LC_PROP_CIRCLE_AREA = 5207;
LC_PROP_CIRCLE_ANG0 = 5208;
LC_PROP_CIRCLE_DIRCW = 5209;
LC_PROP_CIRCLE_RESOL = 5210;
LC_PROP_CIRC_X = 5201;
LC_PROP_CIRC_Y = 5202;
LC_PROP_CIRC_R = 5204;
LC_PROP_CIRC_RAD = 5204;
LC_PROP_CIRC_RADIUS = 5204;
LC_PROP_CIRC_DIAM = 5205;
LC_PROP_CIRC_LEN = 5206;
LC_PROP_CIRC_AREA = 5207;
LC_PROP_CIRC_ANG0 = 5208;
LC_PROP_CIRC_DIRCW = 5209;
LC_PROP_CIRC_RESOL = 5210;
LC_PROP_ARC_X = 5231;
LC_PROP_ARC_Y = 5232;
LC_PROP_ARC_R = 5234;
LC_PROP_ARC_RAD = 5234;
LC_PROP_ARC_RADIUS = 5234;
LC_PROP_ARC_ANG0 = 5235;
LC_PROP_ARC_ANGARC = 5236;
LC_PROP_ARC_ANGEND = 5237;
LC_PROP_ARC_X0 = 5238;
LC_PROP_ARC_Y0 = 5239;
LC_PROP_ARC_XEND = 5241;
LC_PROP_ARC_YEND = 5242;
LC_PROP_ARC_LEN = 5244;
LC_PROP_ARC_CHLEN = 5245;
LC_PROP_ARC_AREA = 5246;
LC_PROP_ARC_CCW = 5247;
LC_PROP_ARC_SECTOR = 5250;
LC_PROP_ARC_RESOL = 5251;
LC_PROP_ELL_X = 5261;
LC_PROP_ELL_Y = 5262;
LC_PROP_ELL_R1 = 5264;
LC_PROP_ELL_R2 = 5265;
LC_PROP_ELL_RATIO = 5266;
LC_PROP_ELL_ANGLE = 5267;
LC_PROP_ELL_ANG0 = 5268;
LC_PROP_ELL_ANGARC = 5269;
LC_PROP_ELL_ANGEND = 5270;
LC_PROP_ELL_X0 = 5271;
LC_PROP_ELL_Y0 = 5272;
LC_PROP_ELL_XEND = 5273;
LC_PROP_ELL_YEND = 5274;
LC_PROP_ELL_LEN = 5276;
LC_PROP_ELL_AREA = 5277;
LC_PROP_ELL_FULL = 5278;
LC_PROP_ELL_CCW = 5279;
LC_PROP_ELL_SECTOR = 5282;
LC_PROP_ELL_RESOL = 5283;
LC_PROP_PLINE_FIT = 5301;
LC_PROP_PLINE_NVERS = 5302;
LC_PROP_PLINE_NPATHS = 5303;
LC_PROP_PLINE_WIDTH = 5305;
LC_PROP_PLINE_RADIUS = 5306;
LC_PROP_PLINE_CHAMFER = 5307;
LC_PROP_PLINE_LEN = 5308;
LC_PROP_PLINE_AREA = 5309;
LC_PROP_PLINE_CLOSED = 5310;
LC_PROP_PLINE_HASANG0 = 5313;
LC_PROP_PLINE_ANG0 = 5314;
LC_PROP_PLINE_HASANG2 = 5315;
LC_PROP_PLINE_ANG2 = 5316;
LC_PROP_PLINE_CW = 5317;
LC_PROP_PLINE_CCW = 5318;
LC_PROP_PLINE_Z = 5319;
LC_PROP_PLINE_CONSTZ = 5320;
LC_PROP_PLINE_RESOLA = 5321;
LC_PROP_PLINE_RESOLS = 5322;
LC_PROP_MLINE_STYLE = 5351;
LC_PROP_MLINE_JUST = 5352;
LC_PROP_MLINE_SCALE = 5353;
LC_PROP_MLINE_NVERS = 5354;
LC_PROP_MLINE_CLOSED = 5355;
LC_PROP_MLINE_FIT = 5356;
LC_PROP_MLINE_LEN = 5357;
LC_PROP_MLINE_AREA = 5358;
LC_PROP_RECT_X = 5371;
LC_PROP_RECT_Y = 5372;
LC_PROP_RECT_W = 5374;
LC_PROP_RECT_H = 5375;
LC_PROP_RECT_ANGLE = 5376;
LC_PROP_RECT_R = 5377;
LC_PROP_RECT_RAD = 5377;
LC_PROP_RECT_RADIUS = 5377;
LC_PROP_RECT_CHAMFER = 5378;
LC_PROP_RECT_LEN = 5381;
LC_PROP_RECT_AREA = 5382;
LC_PROP_RECT_RESOL = 5383;
LC_PROP_CLRECT_ID = 5390;
LC_PROP_CLRECT_NAME = 5391;
LC_PROP_CLRECT_X = 5392;
LC_PROP_CLRECT_Y = 5393;
LC_PROP_CLRECT_W = 5394;
LC_PROP_CLRECT_H = 5395;
LC_PROP_CLRECT_ANGLE = 5396;
LC_PROP_CLRECT_LEN = 5398;
LC_PROP_CLRECT_AREA = 5399;
LC_PROP_TEXT_STYLE = 5401;
LC_PROP_TEXT_STR = 5402;
LC_PROP_TEXT_STRT = 5403;
LC_PROP_TEXT_LEN = 5404;
LC_PROP_TEXT_ALIGN = 5405;
LC_PROP_TEXT_X = 5406;
LC_PROP_TEXT_Y = 5407;
LC_PROP_TEXT_H = 5411;
LC_PROP_TEXT_WSCALE = 5412;
LC_PROP_TEXT_ANGLE = 5413;
LC_PROP_TEXT_OBLIQUE = 5414;
LC_PROP_TEXT_CHARSPACE = 5415;
LC_PROP_TEXT_WRECT = 5416;
LC_PROP_TEXT_X0 = 5417;
LC_PROP_TEXT_Y0 = 5418;
LC_PROP_TEXT_XFIT = 5419;
LC_PROP_TEXT_YFIT = 5420;
LC_PROP_TEXT_UPDOWN = 5421;
LC_PROP_TEXT_BACKWARD = 5422;
LC_PROP_TEXT_RESOL = 5423;
LC_PROP_MTEXT_STYLE = 5451;
LC_PROP_MTEXT_STR = 5452;
LC_PROP_MTEXT_LEN = 5453;
LC_PROP_MTEXT_ALIGN = 5454;
LC_PROP_MTEXT_X = 5455;
LC_PROP_MTEXT_Y = 5456;
LC_PROP_MTEXT_H = 5458;
LC_PROP_MTEXT_WSCALE = 5459;
LC_PROP_MTEXT_ANGLE = 5460;
LC_PROP_MTEXT_OBLIQUE = 5461;
LC_PROP_MTEXT_WRECT = 5462;
LC_PROP_MTEXT_HRECT = 5463;
LC_PROP_MTEXT_WRAPWIDTH = 5464;
LC_PROP_MTEXT_LINESPACE = 5465;
LC_PROP_MTEXT_CHARSPACE = 5466;
LC_PROP_MTEXT_MIRROR = 5467;
LC_PROP_MTEXT_RESOL = 5468;
LC_PROP_ATEXT_STYLE = 5481;
LC_PROP_ATEXT_STR = 5482;
LC_PROP_ATEXT_STRT = 5483;
LC_PROP_ATEXT_LEN = 5484;
LC_PROP_ATEXT_X = 5485;
LC_PROP_ATEXT_Y = 5486;
LC_PROP_ATEXT_R = 5487;
LC_PROP_ATEXT_RAD = 5487;
LC_PROP_ATEXT_RADIUS = 5487;
LC_PROP_ATEXT_ANGLE = 5488;
LC_PROP_ATEXT_ANGSTA = 5489;
LC_PROP_ATEXT_ANGEND = 5490;
LC_PROP_ATEXT_CW = 5491;
LC_PROP_ATEXT_H = 5492;
LC_PROP_ATEXT_WSCALE = 5493;
LC_PROP_ATEXT_CHARSPACE = 5494;
LC_PROP_ATEXT_ALIGN = 5495;
LC_PROP_ATEXT_RESOL = 5496;
LC_PROP_ATT_MODE = 5501;
LC_PROP_ATT_TSTYLE = 5502;
LC_PROP_ATT_TAG = 5503;
LC_PROP_ATT_PROMPT = 5504;
LC_PROP_ATT_DEFVAL = 5505;
LC_PROP_ATT_ALIGN = 5506;
LC_PROP_ATT_X = 5507;
LC_PROP_ATT_Y = 5508;
LC_PROP_ATT_Z = 5509;
LC_PROP_ATT_H = 5510;
LC_PROP_ATT_WSCALE = 5511;
LC_PROP_ATT_ANGLE = 5512;
LC_PROP_ATT_OBLIQUE = 5513;
LC_PROP_ATT_X0 = 5514;
LC_PROP_ATT_Y0 = 5515;
LC_PROP_ATT_XFIT = 5516;
LC_PROP_ATT_YFIT = 5517;
LC_PROP_ATT_UPDOWN = 5518;
LC_PROP_ATT_BACKWARD = 5519;
LC_PROP_ATT_POS = 5520;
LC_PROP_ATT_FIT = 5521;
LC_PROP_BLKREF_BLOCK = 5531;
LC_PROP_BLKREF_X = 5532;
LC_PROP_BLKREF_Y = 5533;
LC_PROP_BLKREF_SCALE = 5535;
LC_PROP_BLKREF_SCX = 5536;
LC_PROP_BLKREF_SCY = 5537;
LC_PROP_BLKREF_UFSCALE = 5539;
LC_PROP_BLKREF_ANGLE = 5540;
LC_PROP_BLKREF_ARNX = 5541;
LC_PROP_BLKREF_ARDX = 5542;
LC_PROP_BLKREF_ARNY = 5543;
LC_PROP_BLKREF_ARDY = 5544;
LC_PROP_BLKREF_ARANG = 5545;
LC_PROP_BLKREF_ATTRIBS = 5546;
LC_PROP_IMGREF_IMAGE = 5551;
LC_PROP_IMGREF_XC = 5554;
LC_PROP_IMGREF_YC = 5555;
LC_PROP_IMGREF_W = 5556;
LC_PROP_IMGREF_H = 5557;
LC_PROP_IMGREF_WPIX = 5558;
LC_PROP_IMGREF_HPIX = 5559;
LC_PROP_IMGREF_SCALE = 5560;
LC_PROP_IMGREF_PIXELSIZE = 5560;
LC_PROP_IMGREF_ANGLE = 5563;
LC_PROP_IMGREF_BORDER = 5565;
LC_PROP_IMGREF_TRANSP = 5566;
LC_PROP_IMGREF_TRCOLOR = 5567;
LC_PROP_IMGREF_TRALPHA = 5568;
LC_PROP_IMGREF_GREY = 5569;
LC_PROP_IMGREF_FLIPHOR = 5570;
LC_PROP_IMGREF_FLIPVER = 5571;
LC_PROP_IMGREF_PATH = 5573;
LC_PROP_HATCH_NAME = 5631;
LC_PROP_HATCH_PATTERN = 5632;
LC_PROP_HATCH_SCALE = 5633;
LC_PROP_HATCH_ANGLE = 5634;
LC_PROP_HATCH_SIZE = 5635;
LC_PROP_HATCH_ASSOC = 5636;
LC_PROP_HATCH_SOLID = 5637;
LC_PROP_HATCH_CUSTOM = 5638;
LC_PROP_HATCH_NPT = 5639;
LC_PROP_HATCH_NLOOP = 5640;
LC_PROP_HATCH_NHPL = 5641;
LC_PROP_HATCH_IHPL = 5642;
LC_PROP_HPL_ANGLE = 5651;
LC_PROP_HPL_X0 = 5652;
LC_PROP_HPL_Y0 = 5653;
LC_PROP_HPL_DX = 5654;
LC_PROP_HPL_DY = 5655;
LC_PROP_HPL_NDASH = 5656;
LC_PROP_HPL_DASH1 = 5657;
LC_PROP_HPL_DASH2 = 5658;
LC_PROP_HPL_DASH3 = 5659;
LC_PROP_HPL_DASH4 = 5660;
LC_PROP_HPL_DASH5 = 5661;
LC_PROP_HPL_DASH6 = 5662;
LC_PROP_HPL_DASH7 = 5663;
LC_PROP_HPL_DASH8 = 5664;
LC_PROP_VPORT_LEF = 5703;
LC_PROP_VPORT_BOT = 5704;
LC_PROP_VPORT_RIG = 5705;
LC_PROP_VPORT_TOP = 5706;
LC_PROP_VPORT_BORDER = 5707;
LC_PROP_VPORT_W = 5711;
LC_PROP_VPORT_H = 5712;
LC_PROP_VPORT_VX = 5713;
LC_PROP_VPORT_VY = 5714;
LC_PROP_VPORT_VSCALE = 5715;
LC_PROP_VPORT_VANGLE = 5716;
LC_PROP_VPORT_FIXSCALE = 5717;
LC_PROP_BARC_X = 5751;
LC_PROP_BARC_Y = 5752;
LC_PROP_BARC_W = 5753;
LC_PROP_BARC_H = 5754;
LC_PROP_BARC_ANG = 5755;
LC_PROP_BARC_TYPE = 5756;
LC_PROP_BARC_CODE = 5757;
LC_PROP_BARC_TEXT = 5757;
LC_PROP_BARC_CHECKSUM = 5758;
LC_PROP_BARC_NCHARS = 5759;
LC_PROP_BARC_NPADS = 5760;
LC_PROP_BARC_NARSIZE = 5761;
LC_PROP_BARC_WIDERATIO = 5762;
LC_PROP_BARC_QZONE = 5764;
LC_PROP_BARC_OFFSET = 5765;
LC_PROP_BARC_INVERT = 5766;
LC_PROP_BARC_SHOWTEXT = 5767;
LC_PROP_BARC_TSTYLE = 5768;
LC_PROP_BARC_TEXTH = 5769;
LC_PROP_BARC_TEXTW = 5770;
LC_PROP_BARC_TEXTCS = 5771;
LC_PROP_BARC_TEXTALIGN = 5773;
LC_PROP_BARC_TEXTRES = 5774;
LC_PROP_BARC_ECLEVEL = 5775;
LC_PROP_BARC_MASKPAT = 5776;
LC_PROP_BARC_QRVER = 5777;
LC_PROP_BARC_DMSIZE = 5778;
LC_PROP_BARC_NBARS = 5779;
LC_PROP_BARC_NMODX = 5779;
LC_PROP_BARC_NMODY = 5780;
LC_PROP_DIM_STYLE = 6001;
LC_PROP_DIM_MEAS = 6003;
LC_PROP_DIM_TEXT = 6004;
LC_PROP_DIMANG_STYLE = 6001;
LC_PROP_DIMANG_MEAS = 6003;
LC_PROP_DIMANG_TEXT = 6004;
LC_PROP_DIMALI_STYLE = 6001;
LC_PROP_DIMALI_MEAS = 6003;
LC_PROP_DIMALI_TEXT = 6004;
LC_PROP_DIMDIA_STYLE = 6001;
LC_PROP_DIMDIA_MEAS = 6003;
LC_PROP_DIMDIA_TEXT = 6004;
LC_PROP_DIMRAD_STYLE = 6001;
LC_PROP_DIMRAD_MEAS = 6003;
LC_PROP_DIMRAD_TEXT = 6004;
LC_PROP_DIMORD_STYLE = 6001;
LC_PROP_DIMORD_MEAS = 6003;
LC_PROP_DIMORD_TEXT = 6004;
LC_PROP_DIMROT_STYLE = 6001;
LC_PROP_DIMROT_MEAS = 6003;
LC_PROP_DIMROT_TEXT = 6004;
LC_PROP_DIMLIN_STYLE = 6001;
LC_PROP_DIMLIN_MEAS = 6003;
LC_PROP_DIMLIN_TEXT = 6004;
LC_PROP_DIMANG_3PNT = 6011;
LC_PROP_DIMANG_2LINE = 6012;
LC_PROP_DIMANG_CPX = 6013;
LC_PROP_DIMANG_CPY = 6014;
LC_PROP_DIMANG_DP1X = 6015;
LC_PROP_DIMANG_DP1Y = 6016;
LC_PROP_DIMANG_DP2X = 6017;
LC_PROP_DIMANG_DP2Y = 6018;
LC_PROP_DIMANG_L1P1X = 6021;
LC_PROP_DIMANG_L1P1Y = 6022;
LC_PROP_DIMANG_L1P2X = 6023;
LC_PROP_DIMANG_L1P2Y = 6024;
LC_PROP_DIMANG_DP3X = 6023;
LC_PROP_DIMANG_DP3Y = 6024;
LC_PROP_DIMANG_L2P1X = 6025;
LC_PROP_DIMANG_L2P1Y = 6026;
LC_PROP_DIMANG_L2P2X = 6027;
LC_PROP_DIMANG_L2P2Y = 6028;
LC_PROP_DIMANG_DP4X = 6027;
LC_PROP_DIMANG_DP4Y = 6028;
LC_PROP_DIMANG_APX = 6029;
LC_PROP_DIMANG_APY = 6030;
LC_PROP_DIMANG_EXT1 = 6031;
LC_PROP_DIMANG_EXT2 = 6032;
LC_PROP_DIMANG_RAD = 6033;
LC_PROP_DIMANG_TPOS = 6034;
LC_PROP_DIMALI_DP1X = 6051;
LC_PROP_DIMALI_DP1Y = 6052;
LC_PROP_DIMALI_DP2X = 6053;
LC_PROP_DIMALI_DP2Y = 6054;
LC_PROP_DIMALI_TPX = 6055;
LC_PROP_DIMALI_TPY = 6056;
LC_PROP_DIMDIA_CPX = 6071;
LC_PROP_DIMDIA_CPY = 6072;
LC_PROP_DIMDIA_RPX = 6073;
LC_PROP_DIMDIA_RPY = 6074;
LC_PROP_DIMDIA_FPX = 6075;
LC_PROP_DIMDIA_FPY = 6076;
LC_PROP_DIMDIA_TPX = 6077;
LC_PROP_DIMDIA_TPY = 6078;
LC_PROP_DIMRAD_CPX = 6086;
LC_PROP_DIMRAD_CPY = 6087;
LC_PROP_DIMRAD_RPX = 6088;
LC_PROP_DIMRAD_RPY = 6089;
LC_PROP_DIMRAD_TPX = 6090;
LC_PROP_DIMRAD_TPY = 6091;
LC_PROP_DIMORD_XORD = 6101;
LC_PROP_DIMORD_DPX = 6102;
LC_PROP_DIMORD_DPY = 6103;
LC_PROP_DIMORD_TPX = 6104;
LC_PROP_DIMORD_TPY = 6105;
LC_PROP_DIMROT_ANGLE = 6121;
LC_PROP_DIMROT_DP1X = 6122;
LC_PROP_DIMROT_DP1Y = 6123;
LC_PROP_DIMROT_DP2X = 6124;
LC_PROP_DIMROT_DP2Y = 6125;
LC_PROP_DIMROT_TPX = 6126;
LC_PROP_DIMROT_TPY = 6127;
LC_PROP_DIMLIN_ANGLE = 6121;
LC_PROP_DIMLIN_DP1X = 6122;
LC_PROP_DIMLIN_DP1Y = 6123;
LC_PROP_DIMLIN_DP2X = 6124;
LC_PROP_DIMLIN_DP2Y = 6125;
LC_PROP_DIMLIN_TPX = 6126;
LC_PROP_DIMLIN_TPY = 6127;
LC_PROP_LEADER_STYLE = 6202;
LC_PROP_LEADER_TEXT = 6203;
LC_PROP_LEADER_ALIGN = 6204;
LC_PROP_LEADER_TPX = 6205;
LC_PROP_LEADER_TPY = 6206;
LC_PROP_LEADER_APX = 6207;
LC_PROP_LEADER_APY = 6208;
LC_PROP_LEADER_P1X = 6209;
LC_PROP_LEADER_P1Y = 6210;
LC_PROP_LEADER_P0X = 6211;
LC_PROP_LEADER_P0Y = 6212;
LC_PROP_LEADER_LDIST = 6213;
LC_PROP_LEADER_VERT = 6214;
LC_PROP_LEADER_CORNER = 6215;
LC_PROP_LEADER_TBW = 6216;
LC_PROP_LEADER_TBH = 6217;
LC_PROP_RPLAN_LEN = 6301;
LC_PROP_RPLAN_MARKARC = 6302;
LC_PROP_RPLAN_MARKSIZE = 6303;
LC_PROP_RPLAN_NVERS = 6311;
LC_PROP_RPLAN_IVER = 6312;
LC_PROP_RPVER_X = 6313;
LC_PROP_RPVER_Y = 6314;
LC_PROP_RPVER_ANGLE = 6315;
LC_PROP_RPVER_DIRANG = 6316;
LC_PROP_RPVER_R = 6317;
LC_PROP_RPVER_L1 = 6318;
LC_PROP_RPVER_L2 = 6319;
LC_PROP_RPVER_ANGL1 = 6320;
LC_PROP_RPVER_ANGARC = 6321;
LC_PROP_RPVER_ANGL2 = 6322;
LC_PROP_RPVER_BISEC = 6323;
LC_PROP_RPVER_ARCLEN = 6324;
LC_PROP_RPVER_CURLEN = 6325;
LC_PROP_RPVER_LINE1 = 6326;
LC_PROP_RPVER_T1 = 6327;
LC_PROP_RPVER_T2 = 6328;
LC_PROP_RPVER_LINE2 = 6329;
LC_PROP_RPVER_DIST1 = 6330;
LC_PROP_RPVER_DIST2 = 6331;
LC_PROP_VER_X = 10001;
LC_PROP_VER_Y = 10002;
LC_PROP_VER_Z = 10003;
LC_PROP_VER_ENDPATH = 10005;
LC_PROP_VER_FIX = 10006;
LC_PROP_VER_RADIUS = 10007;
LC_PROP_VER_WEIGHT = 10008;
LC_PROP_VER_INDEX = 10009;
LC_PROP_VER_FIRST = 10010;
LC_PROP_VER_LAST = 10011;
LC_PROP_VER_W0 = 10012;
LC_PROP_VER_W1 = 10013;
LC_PROP_VER_SEGDX = 10014;
LC_PROP_VER_SEGDY = 10015;
LC_PROP_VER_SEGANG = 10016;
LC_PROP_VER_SEGLEN = 10017;
LC_PROP_VER_BULGE = 10021;
LC_PROP_VER_SEGARCANG = 10022;
LC_PROP_VER_SEGARCH = 10023;
LC_PROP_VER_SEGARCLEN = 10024;
LC_PROP_VER_SEGARCRAD = 10025;
LC_PROP_PROPWND_ENABLE = 11002;
LC_PROP_PROPWND_DIVCOEF = 11003;
LC_PROP_EVENT_TYPE = 12001;
LC_PROP_EVENT_APP = 12002;
LC_PROP_EVENT_WND = 12003;
LC_PROP_EVENT_DRW = 12004;
LC_PROP_EVENT_BLOCK = 12005;
LC_PROP_EVENT_ENTITY = 12006;
LC_PROP_EVENT_HCMD = 12007;
LC_PROP_EVENT_HDC = 12008;
LC_PROP_EVENT_INT1 = 12009;
LC_PROP_EVENT_INT2 = 12010;
LC_PROP_EVENT_INT3 = 12011;
LC_PROP_EVENT_INT4 = 12012;
LC_PROP_EVENT_INT5 = 12013;
LC_PROP_EVENT_INT6 = 12014;
LC_PROP_EVENT_FLOAT1 = 12015;
LC_PROP_EVENT_FLOAT2 = 12016;
LC_PROP_EVENT_FLOAT3 = 12017;
LC_PROP_EVENT_FLOAT4 = 12018;
LC_PROP_EVENT_FLOAT5 = 12019;
LC_PROP_EVENT_FLOAT6 = 12020;
LC_EVENT_HELP = 101;
LC_EVENT_PAINT = 102;
LC_EVENT_WNDVIEW = 103;
LC_EVENT_WNDTAB = 104;
LC_EVENT_MOUSEMOVE = 105;
LC_EVENT_LBDOWN = 106;
LC_EVENT_LBUP = 107;
LC_EVENT_RBDOWN = 108;
LC_EVENT_KEYDOWN = 109;
LC_EVENT_GRIPMOVE = 110;
LC_EVENT_GRIPDRAG = 111;
LC_EVENT_GRIPPAINT = 112;
LC_EVENT_DRAWCURSOR = 113;
LC_EVENT_RULERCORNER = 114;
LC_EVENT_ADDSTR = 115;
LC_EVENT_SNAP = 116;
LC_EVENT_ADDCMD = 117;
LC_EVENT_SEL1ENT = 118;
LC_EVENT_SELENTS = 119;
LC_EVENT_CMDCREATE = 201;
LC_EVENT_CMDDESTROY = 202;
LC_EVENT_CMDSTART = 203;
LC_EVENT_CMDEND = 204;
LC_EVENT_CMDLBDOWN = 205;
LC_EVENT_CMDLBUP = 206;
LC_EVENT_CMDRBDOWN = 207;
LC_EVENT_CMDRBUP = 208;
LC_EVENT_CMDMOUSEMOVE = 209;
LC_EVENT_CMDPAINT = 210;
LC_EVENT_CMDSNAP = 211;
LC_EVENT_CMD1 = 212;
LC_EVENT_EXTENTS = 301;
LC_EVENT_VIEWBLOCK = 302;
LC_EVENT_LAYERS = 303;
LC_EVENT_FILE = 304;
LC_EVENT_ADDENTITY = 305;
LC_EVENT_ENTPROPVAR = 306;
LC_EVENT_ENTPROPSTR = 307;
LC_EVENT_DRWPROPVAR = 308;

lcEventReturnCode = litecad.lcEventReturnCode
lcEventReturnCode.restype = None
lcEventReturnCode.argtypes = [ct.c_int]

lcEventEnable = litecad.lcEventEnable
lcEventEnable.restype = None
lcEventEnable.argtypes = [ct.c_int]

lcInitialize = litecad.lcInitialize
lcInitialize.restype = ct.c_int
lcInitialize.argtypes = [ct.c_void_p, ct.c_int, ct.c_int]

lcUninitialize = litecad.lcUninitialize
lcUninitialize.restype = ct.c_int
lcUninitialize.argtypes = [ct.c_int]

lcStrAdd = litecad.lcStrAdd
lcStrAdd.restype = ct.c_int
lcStrAdd.argtypes = [ct.c_wchar_p, ct.c_wchar_p]

lcStrSet = litecad.lcStrSet
lcStrSet.restype = ct.c_int
lcStrSet.argtypes = [ct.c_wchar_p, ct.c_wchar_p]

lcStrGet = litecad.lcStrGet
lcStrGet.restype = ct.c_wchar_p
lcStrGet.argtypes = [ct.c_wchar_p]

lcStrFileLoad = litecad.lcStrFileLoad
lcStrFileLoad.restype = ct.c_int
lcStrFileLoad.argtypes = [ct.c_wchar_p]

lcStrFileSave = litecad.lcStrFileSave
lcStrFileSave.restype = ct.c_int
lcStrFileSave.argtypes = [ct.c_wchar_p, ct.c_wchar_p]

lcPropGetBool = litecad.lcPropGetBool
lcPropGetBool.restype = ct.c_int
lcPropGetBool.argtypes = [ct.c_int, ct.c_int]

lcPropGetInt = litecad.lcPropGetInt
lcPropGetInt.restype = ct.c_int
lcPropGetInt.argtypes = [ct.c_int, ct.c_int]

lcPropGetFloat = litecad.lcPropGetFloat
lcPropGetFloat.restype = ct.c_double
lcPropGetFloat.argtypes = [ct.c_int, ct.c_int]

lcPropGetStr = litecad.lcPropGetStr
lcPropGetStr.restype = ct.c_wchar_p
lcPropGetStr.argtypes = [ct.c_int, ct.c_int]

lcPropGetStrA = litecad.lcPropGetStrA
lcPropGetStrA.restype = ct.c_int
lcPropGetStrA.argtypes = [ct.c_int, ct.c_int, ct.c_void_p, ct.c_int]

lcPropGetHandle = litecad.lcPropGetHandle
lcPropGetHandle.restype = ct.c_int
lcPropGetHandle.argtypes = [ct.c_int, ct.c_int]

lcPropPutBool = litecad.lcPropPutBool
lcPropPutBool.restype = ct.c_int
lcPropPutBool.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcPropPutInt = litecad.lcPropPutInt
lcPropPutInt.restype = ct.c_int
lcPropPutInt.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcPropPutFloat = litecad.lcPropPutFloat
lcPropPutFloat.restype = ct.c_int
lcPropPutFloat.argtypes = [ct.c_int, ct.c_int, ct.c_double]

lcPropPutStr = litecad.lcPropPutStr
lcPropPutStr.restype = ct.c_int
lcPropPutStr.argtypes = [ct.c_int, ct.c_int, ct.c_wchar_p]

lcPropPutHandle = litecad.lcPropPutHandle
lcPropPutHandle.restype = ct.c_int
lcPropPutHandle.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcCreateWindow = litecad.lcCreateWindow
lcCreateWindow.restype = ct.c_int
lcCreateWindow.argtypes = [wt.HWND, ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcDeleteWindow = litecad.lcDeleteWindow
lcDeleteWindow.restype = ct.c_int
lcDeleteWindow.argtypes = [ct.c_int]

lcWndResize = litecad.lcWndResize
lcWndResize.restype = ct.c_int
lcWndResize.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcWndRedraw = litecad.lcWndRedraw
lcWndRedraw.restype = ct.c_int
lcWndRedraw.argtypes = [ct.c_int]

lcWndSetFocus = litecad.lcWndSetFocus
lcWndSetFocus.restype = ct.c_int
lcWndSetFocus.argtypes = [ct.c_int]

lcWndSetExtents = litecad.lcWndSetExtents
lcWndSetExtents.restype = ct.c_int
lcWndSetExtents.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcWndZoomRect = litecad.lcWndZoomRect
lcWndZoomRect.restype = ct.c_int
lcWndZoomRect.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcWndZoomScale = litecad.lcWndZoomScale
lcWndZoomScale.restype = ct.c_int
lcWndZoomScale.argtypes = [ct.c_int, ct.c_double]

lcWndZoomMove = litecad.lcWndZoomMove
lcWndZoomMove.restype = ct.c_int
lcWndZoomMove.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcWndGetCursorCoord = litecad.lcWndGetCursorCoord
lcWndGetCursorCoord.restype = ct.c_int
lcWndGetCursorCoord.argtypes = [ct.c_int, ct.POINTER(ct.c_int), ct.POINTER(ct.c_int), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcWndExeCommand = litecad.lcWndExeCommand
lcWndExeCommand.restype = ct.c_int
lcWndExeCommand.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcWndOnClose = litecad.lcWndOnClose
lcWndOnClose.restype = ct.c_int
lcWndOnClose.argtypes = [ct.c_int]

lcWndSetBlock = litecad.lcWndSetBlock
lcWndSetBlock.restype = ct.c_int
lcWndSetBlock.argtypes = [ct.c_int, ct.c_int]

lcWndSetProps = litecad.lcWndSetProps
lcWndSetProps.restype = ct.c_int
lcWndSetProps.argtypes = [ct.c_int, ct.c_int]

lcWndToRaster = litecad.lcWndToRaster
lcWndToRaster.restype = ct.c_int
lcWndToRaster.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_void_p, ct.c_int]

lcWndGetEntByPoint = litecad.lcWndGetEntByPoint
lcWndGetEntByPoint.restype = ct.c_int
lcWndGetEntByPoint.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcWndGetEntByPoint2 = litecad.lcWndGetEntByPoint2
lcWndGetEntByPoint2.restype = ct.c_int
lcWndGetEntByPoint2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcWndGetEntsByRect = litecad.lcWndGetEntsByRect
lcWndGetEntsByRect.restype = ct.c_int
lcWndGetEntsByRect.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcWndGetEntity = litecad.lcWndGetEntity
lcWndGetEntity.restype = ct.c_int
lcWndGetEntity.argtypes = [ct.c_int]

lcCoordDrwToWnd = litecad.lcCoordDrwToWnd
lcCoordDrwToWnd.restype = ct.c_int
lcCoordDrwToWnd.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.POINTER(ct.c_int), ct.POINTER(ct.c_int)]

lcCoordWndToDrw = litecad.lcCoordWndToDrw
lcCoordWndToDrw.restype = ct.c_int
lcCoordWndToDrw.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcWndTabClear = litecad.lcWndTabClear
lcWndTabClear.restype = ct.c_int
lcWndTabClear.argtypes = [ct.c_int]

lcWndTabAdd = litecad.lcWndTabAdd
lcWndTabAdd.restype = ct.c_int
lcWndTabAdd.argtypes = [ct.c_int, ct.c_int, ct.c_wchar_p, ct.c_wchar_p, ct.c_int]

lcWndTabSelect = litecad.lcWndTabSelect
lcWndTabSelect.restype = ct.c_int
lcWndTabSelect.argtypes = [ct.c_int, ct.c_int]

lcWndPaperEnable = litecad.lcWndPaperEnable
lcWndPaperEnable.restype = ct.c_int
lcWndPaperEnable.argtypes = [ct.c_int, ct.c_int]

lcWndPaperSetSize = litecad.lcWndPaperSetSize
lcWndPaperSetSize.restype = ct.c_int
lcWndPaperSetSize.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcWndPaperSetSize2 = litecad.lcWndPaperSetSize2
lcWndPaperSetSize2.restype = ct.c_int
lcWndPaperSetSize2.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcWndPaperSetPos = litecad.lcWndPaperSetPos
lcWndPaperSetPos.restype = ct.c_int
lcWndPaperSetPos.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcGripClear = litecad.lcGripClear
lcGripClear.restype = ct.c_int
lcGripClear.argtypes = [ct.c_int]

lcGripAdd = litecad.lcGripAdd
lcGripAdd.restype = ct.c_int
lcGripAdd.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcGripSet = litecad.lcGripSet
lcGripSet.restype = ct.c_int
lcGripSet.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_PenCreate = litecad.lcPaint_PenCreate
lcPaint_PenCreate.restype = ct.c_int
lcPaint_PenCreate.argtypes = [ct.c_int, ct.c_int, wt.COLORREF, ct.c_double, ct.c_int]

lcPaint_PenSelect = litecad.lcPaint_PenSelect
lcPaint_PenSelect.restype = ct.c_int
lcPaint_PenSelect.argtypes = [ct.c_int, ct.c_int]

lcPaint_PenSelectID = litecad.lcPaint_PenSelectID
lcPaint_PenSelectID.restype = ct.c_int
lcPaint_PenSelectID.argtypes = [ct.c_int, ct.c_int]

lcPaint_BrushCreate = litecad.lcPaint_BrushCreate
lcPaint_BrushCreate.restype = ct.c_int
lcPaint_BrushCreate.argtypes = [ct.c_int, ct.c_int, wt.COLORREF, ct.c_int, ct.c_int]

lcPaint_BrushSelect = litecad.lcPaint_BrushSelect
lcPaint_BrushSelect.restype = ct.c_int
lcPaint_BrushSelect.argtypes = [ct.c_int, ct.c_int]

lcPaint_BrushSelectID = litecad.lcPaint_BrushSelectID
lcPaint_BrushSelectID.restype = ct.c_int
lcPaint_BrushSelectID.argtypes = [ct.c_int, ct.c_int]

lcPaint_DrawPtbuf = litecad.lcPaint_DrawPtbuf
lcPaint_DrawPtbuf.restype = ct.c_int
lcPaint_DrawPtbuf.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcPaint_DrawMpgon = litecad.lcPaint_DrawMpgon
lcPaint_DrawMpgon.restype = ct.c_int
lcPaint_DrawMpgon.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcPaint_DrawImage = litecad.lcPaint_DrawImage
lcPaint_DrawImage.restype = ct.c_int
lcPaint_DrawImage.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int, ct.c_int]

lcPaint_DrawImage2 = litecad.lcPaint_DrawImage2
lcPaint_DrawImage2.restype = ct.c_int
lcPaint_DrawImage2.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int, ct.c_int]

lcPaint_DrawText = litecad.lcPaint_DrawText
lcPaint_DrawText.restype = ct.c_int
lcPaint_DrawText.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_wchar_p]

lcPaint_DrawText2 = litecad.lcPaint_DrawText2
lcPaint_DrawText2.restype = ct.c_int
lcPaint_DrawText2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_wchar_p]

lcPaint_DrawTextBC = litecad.lcPaint_DrawTextBC
lcPaint_DrawTextBC.restype = ct.c_int
lcPaint_DrawTextBC.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_int, ct.c_wchar_p]

lcPaint_DrawArcText = litecad.lcPaint_DrawArcText
lcPaint_DrawArcText.restype = ct.c_int
lcPaint_DrawArcText.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_double, ct.c_double, ct.c_int]

lcPaint_DrawHatch = litecad.lcPaint_DrawHatch
lcPaint_DrawHatch.restype = ct.c_int
lcPaint_DrawHatch.argtypes = [ct.c_int, ct.c_int]

lcPaint_DrawPoint = litecad.lcPaint_DrawPoint
lcPaint_DrawPoint.restype = ct.c_int
lcPaint_DrawPoint.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_int, ct.c_double]

lcPaint_DrawLine = litecad.lcPaint_DrawLine
lcPaint_DrawLine.restype = ct.c_int
lcPaint_DrawLine.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_DrawXline = litecad.lcPaint_DrawXline
lcPaint_DrawXline.restype = ct.c_int
lcPaint_DrawXline.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_DrawRect = litecad.lcPaint_DrawRect
lcPaint_DrawRect.restype = ct.c_int
lcPaint_DrawRect.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_DrawRect2 = litecad.lcPaint_DrawRect2
lcPaint_DrawRect2.restype = ct.c_int
lcPaint_DrawRect2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_DrawTIN = litecad.lcPaint_DrawTIN
lcPaint_DrawTIN.restype = ct.c_int
lcPaint_DrawTIN.argtypes = [ct.c_int, ct.c_int]

lcPaint_DrawCPrompt = litecad.lcPaint_DrawCPrompt
lcPaint_DrawCPrompt.restype = ct.c_int
lcPaint_DrawCPrompt.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_wchar_p]

lcPaint_CreatePtbuf = litecad.lcPaint_CreatePtbuf
lcPaint_CreatePtbuf.restype = ct.c_int

lcPaint_DeletePtbuf = litecad.lcPaint_DeletePtbuf
lcPaint_DeletePtbuf.restype = ct.c_int
lcPaint_DeletePtbuf.argtypes = [ct.c_int]

lcPaint_PtbufClear = litecad.lcPaint_PtbufClear
lcPaint_PtbufClear.restype = ct.c_int
lcPaint_PtbufClear.argtypes = [ct.c_int]

lcPaint_PtbufAddPoint = litecad.lcPaint_PtbufAddPoint
lcPaint_PtbufAddPoint.restype = ct.c_int
lcPaint_PtbufAddPoint.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddPoint2 = litecad.lcPaint_PtbufAddPoint2
lcPaint_PtbufAddPoint2.restype = ct.c_int
lcPaint_PtbufAddPoint2.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcPaint_PtbufAddPointP = litecad.lcPaint_PtbufAddPointP
lcPaint_PtbufAddPointP.restype = ct.c_int
lcPaint_PtbufAddPointP.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcPaint_PtbufAddLine = litecad.lcPaint_PtbufAddLine
lcPaint_PtbufAddLine.restype = ct.c_int
lcPaint_PtbufAddLine.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_PtbufAddLineP = litecad.lcPaint_PtbufAddLineP
lcPaint_PtbufAddLineP.restype = ct.c_int
lcPaint_PtbufAddLineP.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_PtbufAddCircle = litecad.lcPaint_PtbufAddCircle
lcPaint_PtbufAddCircle.restype = ct.c_int
lcPaint_PtbufAddCircle.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddCircle2 = litecad.lcPaint_PtbufAddCircle2
lcPaint_PtbufAddCircle2.restype = ct.c_int
lcPaint_PtbufAddCircle2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddCircle3 = litecad.lcPaint_PtbufAddCircle3
lcPaint_PtbufAddCircle3.restype = ct.c_int
lcPaint_PtbufAddCircle3.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcPaint_PtbufAddArc = litecad.lcPaint_PtbufAddArc
lcPaint_PtbufAddArc.restype = ct.c_int
lcPaint_PtbufAddArc.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddArc3p = litecad.lcPaint_PtbufAddArc3p
lcPaint_PtbufAddArc3p.restype = ct.c_int
lcPaint_PtbufAddArc3p.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddArcSDE = litecad.lcPaint_PtbufAddArcSDE
lcPaint_PtbufAddArcSDE.restype = ct.c_int
lcPaint_PtbufAddArcSDE.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddArcSDAR = litecad.lcPaint_PtbufAddArcSDAR
lcPaint_PtbufAddArcSDAR.restype = ct.c_int
lcPaint_PtbufAddArcSDAR.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddArcSER = litecad.lcPaint_PtbufAddArcSER
lcPaint_PtbufAddArcSER.restype = ct.c_int
lcPaint_PtbufAddArcSER.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcPaint_PtbufAddArcSEL = litecad.lcPaint_PtbufAddArcSEL
lcPaint_PtbufAddArcSEL.restype = ct.c_int
lcPaint_PtbufAddArcSEL.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcPaint_PtbufAddArcSEA = litecad.lcPaint_PtbufAddArcSEA
lcPaint_PtbufAddArcSEA.restype = ct.c_int
lcPaint_PtbufAddArcSEA.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddArcSEB = litecad.lcPaint_PtbufAddArcSEB
lcPaint_PtbufAddArcSEB.restype = ct.c_int
lcPaint_PtbufAddArcSEB.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddArcCSE = litecad.lcPaint_PtbufAddArcCSE
lcPaint_PtbufAddArcCSE.restype = ct.c_int
lcPaint_PtbufAddArcCSE.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcPaint_PtbufAddArcCSA = litecad.lcPaint_PtbufAddArcCSA
lcPaint_PtbufAddArcCSA.restype = ct.c_int
lcPaint_PtbufAddArcCSA.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddArcCSL = litecad.lcPaint_PtbufAddArcCSL
lcPaint_PtbufAddArcCSL.restype = ct.c_int
lcPaint_PtbufAddArcCSL.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcPaint_PtbufAddArcCRAA = litecad.lcPaint_PtbufAddArcCRAA
lcPaint_PtbufAddArcCRAA.restype = ct.c_int
lcPaint_PtbufAddArcCRAA.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcPaint_PtbufAddEllipse = litecad.lcPaint_PtbufAddEllipse
lcPaint_PtbufAddEllipse.restype = ct.c_int
lcPaint_PtbufAddEllipse.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddEllipse2 = litecad.lcPaint_PtbufAddEllipse2
lcPaint_PtbufAddEllipse2.restype = ct.c_int
lcPaint_PtbufAddEllipse2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddRect = litecad.lcPaint_PtbufAddRect
lcPaint_PtbufAddRect.restype = ct.c_int
lcPaint_PtbufAddRect.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddRect2 = litecad.lcPaint_PtbufAddRect2
lcPaint_PtbufAddRect2.restype = ct.c_int
lcPaint_PtbufAddRect2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcPaint_PtbufAddRect3 = litecad.lcPaint_PtbufAddRect3
lcPaint_PtbufAddRect3.restype = ct.c_int
lcPaint_PtbufAddRect3.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_double, ct.c_int]

lcPaint_PtbufAddWline = litecad.lcPaint_PtbufAddWline
lcPaint_PtbufAddWline.restype = ct.c_int
lcPaint_PtbufAddWline.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int, ct.c_int]

lcPaint_PtbufAddPtbuf = litecad.lcPaint_PtbufAddPtbuf
lcPaint_PtbufAddPtbuf.restype = ct.c_int
lcPaint_PtbufAddPtbuf.argtypes = [ct.c_int, ct.c_int]

lcPaint_PtbufGetPoint = litecad.lcPaint_PtbufGetPoint
lcPaint_PtbufGetPoint.restype = ct.c_int
lcPaint_PtbufGetPoint.argtypes = [ct.c_int, ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcPaint_PtbufInterpolate = litecad.lcPaint_PtbufInterpolate
lcPaint_PtbufInterpolate.restype = ct.c_int
lcPaint_PtbufInterpolate.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcPaint_PtbufMove = litecad.lcPaint_PtbufMove
lcPaint_PtbufMove.restype = ct.c_int
lcPaint_PtbufMove.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcPaint_PtbufRotate = litecad.lcPaint_PtbufRotate
lcPaint_PtbufRotate.restype = ct.c_int
lcPaint_PtbufRotate.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcPaint_PtbufScale = litecad.lcPaint_PtbufScale
lcPaint_PtbufScale.restype = ct.c_int
lcPaint_PtbufScale.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_PtbufMirror = litecad.lcPaint_PtbufMirror
lcPaint_PtbufMirror.restype = ct.c_int
lcPaint_PtbufMirror.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_PtbufCopy = litecad.lcPaint_PtbufCopy
lcPaint_PtbufCopy.restype = ct.c_int
lcPaint_PtbufCopy.argtypes = [ct.c_int, ct.c_int]

lcPaint_CreateMpgon = litecad.lcPaint_CreateMpgon
lcPaint_CreateMpgon.restype = ct.c_int

lcPaint_DeleteMpgon = litecad.lcPaint_DeleteMpgon
lcPaint_DeleteMpgon.restype = ct.c_int
lcPaint_DeleteMpgon.argtypes = [ct.c_int]

lcPaint_MpgonClear = litecad.lcPaint_MpgonClear
lcPaint_MpgonClear.restype = ct.c_int
lcPaint_MpgonClear.argtypes = [ct.c_int]

lcPaint_MpgonAddPgon = litecad.lcPaint_MpgonAddPgon
lcPaint_MpgonAddPgon.restype = ct.c_int
lcPaint_MpgonAddPgon.argtypes = [ct.c_int, ct.c_int]

lcPaint_MpgonAddText = litecad.lcPaint_MpgonAddText
lcPaint_MpgonAddText.restype = ct.c_int
lcPaint_MpgonAddText.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_wchar_p, ct.c_int]

lcPaint_MpgonAddBarcode = litecad.lcPaint_MpgonAddBarcode
lcPaint_MpgonAddBarcode.restype = ct.c_int
lcPaint_MpgonAddBarcode.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcPaint_MpgonMove = litecad.lcPaint_MpgonMove
lcPaint_MpgonMove.restype = ct.c_int
lcPaint_MpgonMove.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcPaint_MpgonRotate = litecad.lcPaint_MpgonRotate
lcPaint_MpgonRotate.restype = ct.c_int
lcPaint_MpgonRotate.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcPaint_MpgonScale = litecad.lcPaint_MpgonScale
lcPaint_MpgonScale.restype = ct.c_int
lcPaint_MpgonScale.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_MpgonMirror = litecad.lcPaint_MpgonMirror
lcPaint_MpgonMirror.restype = ct.c_int
lcPaint_MpgonMirror.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_MpgonCopy = litecad.lcPaint_MpgonCopy
lcPaint_MpgonCopy.restype = ct.c_int
lcPaint_MpgonCopy.argtypes = [ct.c_int, ct.c_int]

lcPaint_HatchGen = litecad.lcPaint_HatchGen
lcPaint_HatchGen.restype = ct.c_int
lcPaint_HatchGen.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPaint_ImageAdd = litecad.lcPaint_ImageAdd
lcPaint_ImageAdd.restype = ct.c_int
lcPaint_ImageAdd.argtypes = [ct.c_int]

lcPaint_ImageDelete = litecad.lcPaint_ImageDelete
lcPaint_ImageDelete.restype = ct.c_int
lcPaint_ImageDelete.argtypes = [ct.c_int]

lcPaint_ImageGetFirst = litecad.lcPaint_ImageGetFirst
lcPaint_ImageGetFirst.restype = ct.c_int

lcPaint_ImageGetNext = litecad.lcPaint_ImageGetNext
lcPaint_ImageGetNext.restype = ct.c_int
lcPaint_ImageGetNext.argtypes = [ct.c_int]

lcPaint_ImageGetByID = litecad.lcPaint_ImageGetByID
lcPaint_ImageGetByID.restype = ct.c_int
lcPaint_ImageGetByID.argtypes = [ct.c_int]

lcPaint_ImageLoad = litecad.lcPaint_ImageLoad
lcPaint_ImageLoad.restype = ct.c_int
lcPaint_ImageLoad.argtypes = [ct.c_int, ct.c_wchar_p]

lcPaint_ImageCopy = litecad.lcPaint_ImageCopy
lcPaint_ImageCopy.restype = ct.c_int
lcPaint_ImageCopy.argtypes = [ct.c_int, ct.c_int]

lcPaint_ImageCreate = litecad.lcPaint_ImageCreate
lcPaint_ImageCreate.restype = ct.c_int
lcPaint_ImageCreate.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcPaint_ImageSetPixel = litecad.lcPaint_ImageSetPixel
lcPaint_ImageSetPixel.restype = ct.c_int
lcPaint_ImageSetPixel.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcPaint_ImageFlip = litecad.lcPaint_ImageFlip
lcPaint_ImageFlip.restype = ct.c_int
lcPaint_ImageFlip.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcPaint_ImageRotate = litecad.lcPaint_ImageRotate
lcPaint_ImageRotate.restype = ct.c_int
lcPaint_ImageRotate.argtypes = [ct.c_int, ct.c_double]

lcPaint_ImageGray = litecad.lcPaint_ImageGray
lcPaint_ImageGray.restype = ct.c_int
lcPaint_ImageGray.argtypes = [ct.c_int]

lcPaint_ImageResize = litecad.lcPaint_ImageResize
lcPaint_ImageResize.restype = ct.c_int
lcPaint_ImageResize.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcPaint_ImageGetPtbuf = litecad.lcPaint_ImageGetPtbuf
lcPaint_ImageGetPtbuf.restype = ct.c_int
lcPaint_ImageGetPtbuf.argtypes = [ct.c_int, ct.c_double]

lcFontGetFirst = litecad.lcFontGetFirst
lcFontGetFirst.restype = ct.c_int

lcFontGetNext = litecad.lcFontGetNext
lcFontGetNext.restype = ct.c_int
lcFontGetNext.argtypes = [ct.c_int]

lcFontAddRes = litecad.lcFontAddRes
lcFontAddRes.restype = ct.c_int
lcFontAddRes.argtypes = [ct.c_wchar_p, ct.c_int, ct.c_int]

lcFontAddFile = litecad.lcFontAddFile
lcFontAddFile.restype = ct.c_int
lcFontAddFile.argtypes = [ct.c_wchar_p, ct.c_wchar_p]

lcFontAddBin = litecad.lcFontAddBin
lcFontAddBin.restype = ct.c_int
lcFontAddBin.argtypes = [ct.c_wchar_p, ct.c_int]

lcFontGetChar = litecad.lcFontGetChar
lcFontGetChar.restype = ct.c_int
lcFontGetChar.argtypes = [ct.c_int, ct.c_int]

lcPaint_FontOpenLC = litecad.lcPaint_FontOpenLC
lcPaint_FontOpenLC.restype = ct.c_int
lcPaint_FontOpenLC.argtypes = [ct.c_wchar_p]

lcPaint_FontOpenTT = litecad.lcPaint_FontOpenTT
lcPaint_FontOpenTT.restype = ct.c_int
lcPaint_FontOpenTT.argtypes = [ct.c_wchar_p, ct.c_int, ct.c_int]

lcPaint_FontClose = litecad.lcPaint_FontClose
lcPaint_FontClose.restype = ct.c_int
lcPaint_FontClose.argtypes = [ct.c_int]

lcPaint_FontSelect = litecad.lcPaint_FontSelect
lcPaint_FontSelect.restype = ct.c_int
lcPaint_FontSelect.argtypes = [ct.c_int, ct.c_int]

lcProgressCreate = litecad.lcProgressCreate
lcProgressCreate.restype = ct.c_int
lcProgressCreate.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_wchar_p]

lcProgressSetText = litecad.lcProgressSetText
lcProgressSetText.restype = ct.c_int
lcProgressSetText.argtypes = [ct.c_wchar_p]

lcProgressStart = litecad.lcProgressStart
lcProgressStart.restype = ct.c_int
lcProgressStart.argtypes = [ct.c_int, ct.c_int]

lcProgressSetPos = litecad.lcProgressSetPos
lcProgressSetPos.restype = ct.c_int
lcProgressSetPos.argtypes = [ct.c_int]

lcProgressInc = litecad.lcProgressInc
lcProgressInc.restype = ct.c_int

lcProgressDelete = litecad.lcProgressDelete
lcProgressDelete.restype = ct.c_int

lcQuadCreate = litecad.lcQuadCreate
lcQuadCreate.restype = ct.c_int

lcQuadDelete = litecad.lcQuadDelete
lcQuadDelete.restype = ct.c_int
lcQuadDelete.argtypes = [ct.c_int]

lcQuadSet = litecad.lcQuadSet
lcQuadSet.restype = ct.c_int
lcQuadSet.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcQuadTransXYtoUV = litecad.lcQuadTransXYtoUV
lcQuadTransXYtoUV.restype = ct.c_int
lcQuadTransXYtoUV.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcQuadTransUVtoXY = litecad.lcQuadTransUVtoXY
lcQuadTransUVtoXY.restype = ct.c_int
lcQuadTransUVtoXY.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcQuadContains = litecad.lcQuadContains
lcQuadContains.restype = ct.c_int
lcQuadContains.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcDgGetValue = litecad.lcDgGetValue
lcDgGetValue.restype = ct.c_int
lcDgGetValue.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_wchar_p, ct.c_wchar_p]

lcHelp = litecad.lcHelp
lcHelp.restype = ct.c_int
lcHelp.argtypes = [ct.c_wchar_p]

lcGetPolarPoint = litecad.lcGetPolarPoint
lcGetPolarPoint.restype = None
lcGetPolarPoint.argtypes = [ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcGetPolarPrm = litecad.lcGetPolarPrm
lcGetPolarPrm.restype = None
lcGetPolarPrm.argtypes = [ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcGetErrorCode = litecad.lcGetErrorCode
lcGetErrorCode.restype = ct.c_int

lcGetErrorStr = litecad.lcGetErrorStr
lcGetErrorStr.restype = ct.c_wchar_p

lcGbrLoad = litecad.lcGbrLoad
lcGbrLoad.restype = ct.c_int
lcGbrLoad.argtypes = [ct.c_int, ct.c_wchar_p]

lcTIN_Create = litecad.lcTIN_Create
lcTIN_Create.restype = ct.c_int
lcTIN_Create.argtypes = [ct.c_int]

lcTIN_Delete = litecad.lcTIN_Delete
lcTIN_Delete.restype = ct.c_int
lcTIN_Delete.argtypes = [ct.c_int]

lcTIN_Load = litecad.lcTIN_Load
lcTIN_Load.restype = ct.c_int
lcTIN_Load.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int]

lcTIN_GetZ = litecad.lcTIN_GetZ
lcTIN_GetZ.restype = ct.c_int
lcTIN_GetZ.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.POINTER(ct.c_double)]

lcTIN_InterLine = litecad.lcTIN_InterLine
lcTIN_InterLine.restype = ct.c_int
lcTIN_InterLine.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcTIN_InterGetPoint = litecad.lcTIN_InterGetPoint
lcTIN_InterGetPoint.restype = ct.c_int
lcTIN_InterGetPoint.argtypes = [ct.c_int, ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcCreateCommand = litecad.lcCreateCommand
lcCreateCommand.restype = ct.c_int
lcCreateCommand.argtypes = [ct.c_int, ct.c_int, ct.c_wchar_p, ct.c_wchar_p, ct.c_int]

lcCmdExit = litecad.lcCmdExit
lcCmdExit.restype = ct.c_int
lcCmdExit.argtypes = [ct.c_int]

lcCmdCursorText = litecad.lcCmdCursorText
lcCmdCursorText.restype = ct.c_int
lcCmdCursorText.argtypes = [ct.c_int, ct.c_wchar_p]

lcCmdMessage = litecad.lcCmdMessage
lcCmdMessage.restype = ct.c_int
lcCmdMessage.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int]

lcCmdResetLastPt = litecad.lcCmdResetLastPt
lcCmdResetLastPt.restype = ct.c_int
lcCmdResetLastPt.argtypes = [ct.c_int]

lcCreateDrawing = litecad.lcCreateDrawing
lcCreateDrawing.restype = ct.c_int

lcDeleteDrawing = litecad.lcDeleteDrawing
lcDeleteDrawing.restype = ct.c_int
lcDeleteDrawing.argtypes = [ct.c_int]

lcDrwNew = litecad.lcDrwNew
lcDrwNew.restype = ct.c_int
lcDrwNew.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int]

lcDrwLoad = litecad.lcDrwLoad
lcDrwLoad.restype = ct.c_int
lcDrwLoad.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int]

lcDrwLoadMem = litecad.lcDrwLoadMem
lcDrwLoadMem.restype = ct.c_int
lcDrwLoadMem.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcDrwInsert = litecad.lcDrwInsert
lcDrwInsert.restype = ct.c_int
lcDrwInsert.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int, ct.c_int]

lcDrwSave = litecad.lcDrwSave
lcDrwSave.restype = ct.c_int
lcDrwSave.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int, ct.c_int]

lcDrwSaveMem = litecad.lcDrwSaveMem
lcDrwSaveMem.restype = ct.c_int
lcDrwSaveMem.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcDrwAddLayer = litecad.lcDrwAddLayer
lcDrwAddLayer.restype = ct.c_int
lcDrwAddLayer.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_wchar_p, ct.c_int, ct.c_int]

lcDrwAddLinetype = litecad.lcDrwAddLinetype
lcDrwAddLinetype.restype = ct.c_int
lcDrwAddLinetype.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_wchar_p]

lcDrwAddLinetypeF = litecad.lcDrwAddLinetypeF
lcDrwAddLinetypeF.restype = ct.c_int
lcDrwAddLinetypeF.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_wchar_p, ct.c_wchar_p]

lcDrwAddTextStyle = litecad.lcDrwAddTextStyle
lcDrwAddTextStyle.restype = ct.c_int
lcDrwAddTextStyle.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_wchar_p, ct.c_int]

lcDrwAddDimStyle = litecad.lcDrwAddDimStyle
lcDrwAddDimStyle.restype = ct.c_int
lcDrwAddDimStyle.argtypes = [ct.c_int, ct.c_wchar_p]

lcDrwAddMlineStyle = litecad.lcDrwAddMlineStyle
lcDrwAddMlineStyle.restype = ct.c_int
lcDrwAddMlineStyle.argtypes = [ct.c_int, ct.c_wchar_p]

lcDrwAddPntStyle = litecad.lcDrwAddPntStyle
lcDrwAddPntStyle.restype = ct.c_int
lcDrwAddPntStyle.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int, ct.c_double, ct.c_int, ct.c_double, ct.c_double]

lcDrwAddImage = litecad.lcDrwAddImage
lcDrwAddImage.restype = ct.c_int
lcDrwAddImage.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_wchar_p]

lcDrwAddImage2 = litecad.lcDrwAddImage2
lcDrwAddImage2.restype = ct.c_int
lcDrwAddImage2.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int, ct.c_int, ct.c_int]

lcDrwAddImage3 = litecad.lcDrwAddImage3
lcDrwAddImage3.restype = ct.c_int
lcDrwAddImage3.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int]

lcDrwAddBlock = litecad.lcDrwAddBlock
lcDrwAddBlock.restype = ct.c_int
lcDrwAddBlock.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double]

lcDrwAddBlockFromFile = litecad.lcDrwAddBlockFromFile
lcDrwAddBlockFromFile.restype = ct.c_int
lcDrwAddBlockFromFile.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_wchar_p, ct.c_int, wt.HWND]

lcDrwAddBlockFromDrw = litecad.lcDrwAddBlockFromDrw
lcDrwAddBlockFromDrw.restype = ct.c_int
lcDrwAddBlockFromDrw.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int, ct.c_int, wt.HWND]

lcDrwAddBlockFile = litecad.lcDrwAddBlockFile
lcDrwAddBlockFile.restype = ct.c_int
lcDrwAddBlockFile.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_wchar_p, ct.c_int, wt.HWND]

lcDrwAddBlockPaper = litecad.lcDrwAddBlockPaper
lcDrwAddBlockPaper.restype = ct.c_int
lcDrwAddBlockPaper.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int, ct.c_int, ct.c_double, ct.c_double]

lcDrwAddBlockCopy = litecad.lcDrwAddBlockCopy
lcDrwAddBlockCopy.restype = ct.c_int
lcDrwAddBlockCopy.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int]

lcDrwDeleteObject = litecad.lcDrwDeleteObject
lcDrwDeleteObject.restype = ct.c_int
lcDrwDeleteObject.argtypes = [ct.c_int, ct.c_int]

lcDrwDeleteUnused = litecad.lcDrwDeleteUnused
lcDrwDeleteUnused.restype = ct.c_int
lcDrwDeleteUnused.argtypes = [ct.c_int, ct.c_int]

lcDrwGetFirstObject = litecad.lcDrwGetFirstObject
lcDrwGetFirstObject.restype = ct.c_int
lcDrwGetFirstObject.argtypes = [ct.c_int, ct.c_int]

lcDrwGetNextObject = litecad.lcDrwGetNextObject
lcDrwGetNextObject.restype = ct.c_int
lcDrwGetNextObject.argtypes = [ct.c_int, ct.c_int]

lcDrwGetObjectByID = litecad.lcDrwGetObjectByID
lcDrwGetObjectByID.restype = ct.c_int
lcDrwGetObjectByID.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcDrwGetObjectByIDH = litecad.lcDrwGetObjectByIDH
lcDrwGetObjectByIDH.restype = ct.c_int
lcDrwGetObjectByIDH.argtypes = [ct.c_int, ct.c_int, ct.c_wchar_p]

lcDrwGetObjectByName = litecad.lcDrwGetObjectByName
lcDrwGetObjectByName.restype = ct.c_int
lcDrwGetObjectByName.argtypes = [ct.c_int, ct.c_int, ct.c_wchar_p]

lcDrwCountObjects = litecad.lcDrwCountObjects
lcDrwCountObjects.restype = ct.c_int
lcDrwCountObjects.argtypes = [ct.c_int, ct.c_int]

lcDrwSortObjects = litecad.lcDrwSortObjects
lcDrwSortObjects.restype = ct.c_int
lcDrwSortObjects.argtypes = [ct.c_int, ct.c_int]

lcDrwGetEntByID = litecad.lcDrwGetEntByID
lcDrwGetEntByID.restype = ct.c_int
lcDrwGetEntByID.argtypes = [ct.c_int, ct.c_int]

lcDrwGetEntByIDH = litecad.lcDrwGetEntByIDH
lcDrwGetEntByIDH.restype = ct.c_int
lcDrwGetEntByIDH.argtypes = [ct.c_int, ct.c_wchar_p]

lcDrwGetEntByKey = litecad.lcDrwGetEntByKey
lcDrwGetEntByKey.restype = ct.c_int
lcDrwGetEntByKey.argtypes = [ct.c_int, ct.c_int]

lcDrwUndoRecord = litecad.lcDrwUndoRecord
lcDrwUndoRecord.restype = ct.c_int
lcDrwUndoRecord.argtypes = [ct.c_int, ct.c_int]

lcDrwUndo = litecad.lcDrwUndo
lcDrwUndo.restype = ct.c_int
lcDrwUndo.argtypes = [ct.c_int, ct.c_int]

lcBlockSetViewRect = litecad.lcBlockSetViewRect
lcBlockSetViewRect.restype = ct.c_int
lcBlockSetViewRect.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockSetViewRect2 = litecad.lcBlockSetViewRect2
lcBlockSetViewRect2.restype = ct.c_int
lcBlockSetViewRect2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockSetPaperSize = litecad.lcBlockSetPaperSize
lcBlockSetPaperSize.restype = ct.c_int
lcBlockSetPaperSize.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_double, ct.c_double]

lcBlockRasterize = litecad.lcBlockRasterize
lcBlockRasterize.restype = ct.c_int
lcBlockRasterize.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcBlockRasterizeMem = litecad.lcBlockRasterizeMem
lcBlockRasterizeMem.restype = ct.c_int
lcBlockRasterizeMem.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcBlockUpdate = litecad.lcBlockUpdate
lcBlockUpdate.restype = ct.c_int
lcBlockUpdate.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcBlockScale = litecad.lcBlockScale
lcBlockScale.restype = ct.c_int
lcBlockScale.argtypes = [ct.c_int, ct.c_double]

lcBlockClear = litecad.lcBlockClear
lcBlockClear.restype = ct.c_int
lcBlockClear.argtypes = [ct.c_int, ct.c_int]

lcBlockPurge = litecad.lcBlockPurge
lcBlockPurge.restype = ct.c_int
lcBlockPurge.argtypes = [ct.c_int]

lcBlockSortEnts = litecad.lcBlockSortEnts
lcBlockSortEnts.restype = ct.c_int
lcBlockSortEnts.argtypes = [ct.c_int, ct.c_int, wt.HWND]

lcBlockAddPoint = litecad.lcBlockAddPoint
lcBlockAddPoint.restype = ct.c_int
lcBlockAddPoint.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcBlockAddPoint2 = litecad.lcBlockAddPoint2
lcBlockAddPoint2.restype = ct.c_int
lcBlockAddPoint2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_int, ct.c_double]

lcBlockAddXline = litecad.lcBlockAddXline
lcBlockAddXline.restype = ct.c_int
lcBlockAddXline.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcBlockAddXline2P = litecad.lcBlockAddXline2P
lcBlockAddXline2P.restype = ct.c_int
lcBlockAddXline2P.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcBlockAddLine = litecad.lcBlockAddLine
lcBlockAddLine.restype = ct.c_int
lcBlockAddLine.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddLineDir = litecad.lcBlockAddLineDir
lcBlockAddLineDir.restype = ct.c_int
lcBlockAddLineDir.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddLineTan = litecad.lcBlockAddLineTan
lcBlockAddLineTan.restype = ct.c_int
lcBlockAddLineTan.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcBlockAddPolyline = litecad.lcBlockAddPolyline
lcBlockAddPolyline.restype = ct.c_int
lcBlockAddPolyline.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcBlockAddSpline = litecad.lcBlockAddSpline
lcBlockAddSpline.restype = ct.c_int
lcBlockAddSpline.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcBlockAddMline = litecad.lcBlockAddMline
lcBlockAddMline.restype = ct.c_int
lcBlockAddMline.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcBlockAddRect = litecad.lcBlockAddRect
lcBlockAddRect.restype = ct.c_int
lcBlockAddRect.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcBlockAddRect2 = litecad.lcBlockAddRect2
lcBlockAddRect2.restype = ct.c_int
lcBlockAddRect2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcBlockAddCircle = litecad.lcBlockAddCircle
lcBlockAddCircle.restype = ct.c_int
lcBlockAddCircle.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcBlockAddArc = litecad.lcBlockAddArc
lcBlockAddArc.restype = ct.c_int
lcBlockAddArc.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddArc3P = litecad.lcBlockAddArc3P
lcBlockAddArc3P.restype = ct.c_int
lcBlockAddArc3P.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddEllipse = litecad.lcBlockAddEllipse
lcBlockAddEllipse.restype = ct.c_int
lcBlockAddEllipse.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddText = litecad.lcBlockAddText
lcBlockAddText.restype = ct.c_int
lcBlockAddText.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double]

lcBlockAddText2 = litecad.lcBlockAddText2
lcBlockAddText2.restype = ct.c_int
lcBlockAddText2.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddText3 = litecad.lcBlockAddText3
lcBlockAddText3.restype = ct.c_int
lcBlockAddText3.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_double, ct.c_double]

lcBlockAddMText = litecad.lcBlockAddMText
lcBlockAddMText.restype = ct.c_int
lcBlockAddMText.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddArcText = litecad.lcBlockAddArcText
lcBlockAddArcText.restype = ct.c_int
lcBlockAddArcText.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_double, ct.c_double, ct.c_int]

lcBlockAddBlockRef = litecad.lcBlockAddBlockRef
lcBlockAddBlockRef.restype = ct.c_int
lcBlockAddBlockRef.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddBlockRefID = litecad.lcBlockAddBlockRefID
lcBlockAddBlockRefID.restype = ct.c_int
lcBlockAddBlockRefID.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddBlockRefIDH = litecad.lcBlockAddBlockRefIDH
lcBlockAddBlockRefIDH.restype = ct.c_int
lcBlockAddBlockRefIDH.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddImageRef = litecad.lcBlockAddImageRef
lcBlockAddImageRef.restype = ct.c_int
lcBlockAddImageRef.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int]

lcBlockAddHatch = litecad.lcBlockAddHatch
lcBlockAddHatch.restype = ct.c_int
lcBlockAddHatch.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_wchar_p, ct.c_double, ct.c_double]

lcBlockAddViewport = litecad.lcBlockAddViewport
lcBlockAddViewport.restype = ct.c_int
lcBlockAddViewport.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddFace = litecad.lcBlockAddFace
lcBlockAddFace.restype = ct.c_int
lcBlockAddFace.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddFace4 = litecad.lcBlockAddFace4
lcBlockAddFace4.restype = ct.c_int
lcBlockAddFace4.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcBlockAddLeader = litecad.lcBlockAddLeader
lcBlockAddLeader.restype = ct.c_int
lcBlockAddLeader.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcBlockAddDimLin = litecad.lcBlockAddDimLin
lcBlockAddDimLin.restype = ct.c_int
lcBlockAddDimLin.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimHor = litecad.lcBlockAddDimHor
lcBlockAddDimHor.restype = ct.c_int
lcBlockAddDimHor.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimVer = litecad.lcBlockAddDimVer
lcBlockAddDimVer.restype = ct.c_int
lcBlockAddDimVer.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimAli = litecad.lcBlockAddDimAli
lcBlockAddDimAli.restype = ct.c_int
lcBlockAddDimAli.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimAli2 = litecad.lcBlockAddDimAli2
lcBlockAddDimAli2.restype = ct.c_int
lcBlockAddDimAli2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimOrd = litecad.lcBlockAddDimOrd
lcBlockAddDimOrd.restype = ct.c_int
lcBlockAddDimOrd.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_wchar_p]

lcBlockAddDimRad = litecad.lcBlockAddDimRad
lcBlockAddDimRad.restype = ct.c_int
lcBlockAddDimRad.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimRad2 = litecad.lcBlockAddDimRad2
lcBlockAddDimRad2.restype = ct.c_int
lcBlockAddDimRad2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimDia = litecad.lcBlockAddDimDia
lcBlockAddDimDia.restype = ct.c_int
lcBlockAddDimDia.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimDia2 = litecad.lcBlockAddDimDia2
lcBlockAddDimDia2.restype = ct.c_int
lcBlockAddDimDia2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimAng = litecad.lcBlockAddDimAng
lcBlockAddDimAng.restype = ct.c_int
lcBlockAddDimAng.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddDimAng2 = litecad.lcBlockAddDimAng2
lcBlockAddDimAng2.restype = ct.c_int
lcBlockAddDimAng2.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_wchar_p]

lcBlockAddRPlan = litecad.lcBlockAddRPlan
lcBlockAddRPlan.restype = ct.c_int
lcBlockAddRPlan.argtypes = [ct.c_int]

lcBlockGetFirstEnt = litecad.lcBlockGetFirstEnt
lcBlockGetFirstEnt.restype = ct.c_int
lcBlockGetFirstEnt.argtypes = [ct.c_int]

lcBlockGetNextEnt = litecad.lcBlockGetNextEnt
lcBlockGetNextEnt.restype = ct.c_int
lcBlockGetNextEnt.argtypes = [ct.c_int, ct.c_int]

lcBlockGetLastEnt = litecad.lcBlockGetLastEnt
lcBlockGetLastEnt.restype = ct.c_int
lcBlockGetLastEnt.argtypes = [ct.c_int]

lcBlockGetPrevEnt = litecad.lcBlockGetPrevEnt
lcBlockGetPrevEnt.restype = ct.c_int
lcBlockGetPrevEnt.argtypes = [ct.c_int, ct.c_int]

lcBlockGetEntByID = litecad.lcBlockGetEntByID
lcBlockGetEntByID.restype = ct.c_int
lcBlockGetEntByID.argtypes = [ct.c_int, ct.c_int]

lcBlockGetEntByIDH = litecad.lcBlockGetEntByIDH
lcBlockGetEntByIDH.restype = ct.c_int
lcBlockGetEntByIDH.argtypes = [ct.c_int, ct.c_wchar_p]

lcBlockGetEntByKey = litecad.lcBlockGetEntByKey
lcBlockGetEntByKey.restype = ct.c_int
lcBlockGetEntByKey.argtypes = [ct.c_int, ct.c_int]

lcBlockUnselect = litecad.lcBlockUnselect
lcBlockUnselect.restype = ct.c_int
lcBlockUnselect.argtypes = [ct.c_int]

lcBlockSelectEnt = litecad.lcBlockSelectEnt
lcBlockSelectEnt.restype = ct.c_int
lcBlockSelectEnt.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcBlockSelErase = litecad.lcBlockSelErase
lcBlockSelErase.restype = ct.c_int
lcBlockSelErase.argtypes = [ct.c_int]

lcBlockSelMove = litecad.lcBlockSelMove
lcBlockSelMove.restype = ct.c_int
lcBlockSelMove.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcBlockSelScale = litecad.lcBlockSelScale
lcBlockSelScale.restype = ct.c_int
lcBlockSelScale.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcBlockSelRotate = litecad.lcBlockSelRotate
lcBlockSelRotate.restype = ct.c_int
lcBlockSelRotate.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcBlockSelMirror = litecad.lcBlockSelMirror
lcBlockSelMirror.restype = ct.c_int
lcBlockSelMirror.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_int, ct.c_int]

lcBlockSelExplode = litecad.lcBlockSelExplode
lcBlockSelExplode.restype = ct.c_int
lcBlockSelExplode.argtypes = [ct.c_int]

lcBlockSelJoin = litecad.lcBlockSelJoin
lcBlockSelJoin.restype = ct.c_int
lcBlockSelJoin.argtypes = [ct.c_int, ct.c_double]

lcBlockGetFirstSel = litecad.lcBlockGetFirstSel
lcBlockGetFirstSel.restype = ct.c_int
lcBlockGetFirstSel.argtypes = [ct.c_int]

lcBlockGetNextSel = litecad.lcBlockGetNextSel
lcBlockGetNextSel.restype = ct.c_int
lcBlockGetNextSel.argtypes = [ct.c_int]

lcBlockOrderByLayers = litecad.lcBlockOrderByLayers
lcBlockOrderByLayers.restype = ct.c_int
lcBlockOrderByLayers.argtypes = [ct.c_int, wt.HWND]

lcBlockSortTSP = litecad.lcBlockSortTSP
lcBlockSortTSP.restype = ct.c_int
lcBlockSortTSP.argtypes = [ct.c_int, ct.c_int, wt.HWND]

lcBlockGetJumpsLen = litecad.lcBlockGetJumpsLen
lcBlockGetJumpsLen.restype = ct.c_double
lcBlockGetJumpsLen.argtypes = [ct.c_int, ct.c_int, wt.HWND]

lcLayerClear = litecad.lcLayerClear
lcLayerClear.restype = ct.c_int
lcLayerClear.argtypes = [ct.c_int, ct.c_int]

lcEntErase = litecad.lcEntErase
lcEntErase.restype = ct.c_int
lcEntErase.argtypes = [ct.c_int, ct.c_int]

lcEntMove = litecad.lcEntMove
lcEntMove.restype = ct.c_int
lcEntMove.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcEntScale = litecad.lcEntScale
lcEntScale.restype = ct.c_int
lcEntScale.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcEntRotate = litecad.lcEntRotate
lcEntRotate.restype = ct.c_int
lcEntRotate.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcEntMirror = litecad.lcEntMirror
lcEntMirror.restype = ct.c_int
lcEntMirror.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcEntExplode = litecad.lcEntExplode
lcEntExplode.restype = ct.c_int
lcEntExplode.argtypes = [ct.c_int, ct.c_int]

lcEntOffset = litecad.lcEntOffset
lcEntOffset.restype = ct.c_int
lcEntOffset.argtypes = [ct.c_int, ct.c_double]

lcEntToTop = litecad.lcEntToTop
lcEntToTop.restype = ct.c_int
lcEntToTop.argtypes = [ct.c_int]

lcEntToBottom = litecad.lcEntToBottom
lcEntToBottom.restype = ct.c_int
lcEntToBottom.argtypes = [ct.c_int]

lcEntToAbove = litecad.lcEntToAbove
lcEntToAbove.restype = ct.c_int
lcEntToAbove.argtypes = [ct.c_int, ct.c_int]

lcEntToUnder = litecad.lcEntToUnder
lcEntToUnder.restype = ct.c_int
lcEntToUnder.argtypes = [ct.c_int, ct.c_int]

lcEntGetGrip = litecad.lcEntGetGrip
lcEntGetGrip.restype = ct.c_int
lcEntGetGrip.argtypes = [ct.c_int, ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcEntPutGrip = litecad.lcEntPutGrip
lcEntPutGrip.restype = ct.c_int
lcEntPutGrip.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double]

lcEntUpdate = litecad.lcEntUpdate
lcEntUpdate.restype = ct.c_int
lcEntUpdate.argtypes = [ct.c_int]

lcEntCopyBase = litecad.lcEntCopyBase
lcEntCopyBase.restype = ct.c_int
lcEntCopyBase.argtypes = [ct.c_int, ct.c_int]

lcIntersection = litecad.lcIntersection
lcIntersection.restype = ct.c_int
lcIntersection.argtypes = [ct.c_int, ct.c_int]

lcInterGetPoint = litecad.lcInterGetPoint
lcInterGetPoint.restype = ct.c_int
lcInterGetPoint.argtypes = [ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcPlineAddVer = litecad.lcPlineAddVer
lcPlineAddVer.restype = ct.c_int
lcPlineAddVer.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double]

lcPlineAddVer2 = litecad.lcPlineAddVer2
lcPlineAddVer2.restype = ct.c_int
lcPlineAddVer2.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcPlineAddVerDir = litecad.lcPlineAddVerDir
lcPlineAddVerDir.restype = ct.c_int
lcPlineAddVerDir.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double]

lcPlineEnd = litecad.lcPlineEnd
lcPlineEnd.restype = ct.c_int
lcPlineEnd.argtypes = [ct.c_int]

lcPlineDeleteVer = litecad.lcPlineDeleteVer
lcPlineDeleteVer.restype = ct.c_int
lcPlineDeleteVer.argtypes = [ct.c_int, ct.c_int]

lcPlineGetFirstVer = litecad.lcPlineGetFirstVer
lcPlineGetFirstVer.restype = ct.c_int
lcPlineGetFirstVer.argtypes = [ct.c_int]

lcPlineGetNextVer = litecad.lcPlineGetNextVer
lcPlineGetNextVer.restype = ct.c_int
lcPlineGetNextVer.argtypes = [ct.c_int, ct.c_int]

lcPlineGetLastVer = litecad.lcPlineGetLastVer
lcPlineGetLastVer.restype = ct.c_int
lcPlineGetLastVer.argtypes = [ct.c_int]

lcPlineGetPrevVer = litecad.lcPlineGetPrevVer
lcPlineGetPrevVer.restype = ct.c_int
lcPlineGetPrevVer.argtypes = [ct.c_int, ct.c_int]

lcPlineGetVer = litecad.lcPlineGetVer
lcPlineGetVer.restype = ct.c_int
lcPlineGetVer.argtypes = [ct.c_int, ct.c_int]

lcPlineGetVerPt = litecad.lcPlineGetVerPt
lcPlineGetVerPt.restype = ct.c_int
lcPlineGetVerPt.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcPlineGetSeg = litecad.lcPlineGetSeg
lcPlineGetSeg.restype = ct.c_int
lcPlineGetSeg.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcPlineReverse = litecad.lcPlineReverse
lcPlineReverse.restype = ct.c_int
lcPlineReverse.argtypes = [ct.c_int]

lcPlineSimple = litecad.lcPlineSimple
lcPlineSimple.restype = ct.c_int
lcPlineSimple.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lcPlineContainPoint = litecad.lcPlineContainPoint
lcPlineContainPoint.restype = ct.c_int
lcPlineContainPoint.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcPlineGetRoundPrm = litecad.lcPlineGetRoundPrm
lcPlineGetRoundPrm.restype = ct.c_int
lcPlineGetRoundPrm.argtypes = [ct.c_int, ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcXlinePutDir = litecad.lcXlinePutDir
lcXlinePutDir.restype = ct.c_int
lcXlinePutDir.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcRectGetPolyline = litecad.lcRectGetPolyline
lcRectGetPolyline.restype = ct.c_int
lcRectGetPolyline.argtypes = [ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcImgRefGetPixel = litecad.lcImgRefGetPixel
lcImgRefGetPixel.restype = ct.c_int
lcImgRefGetPixel.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_int)]

lcRPlanAddVer = litecad.lcRPlanAddVer
lcRPlanAddVer.restype = ct.c_int
lcRPlanAddVer.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcRPlanSetCurve = litecad.lcRPlanSetCurve
lcRPlanSetCurve.restype = ct.c_int
lcRPlanSetCurve.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double]

lcRPlanSetPos = litecad.lcRPlanSetPos
lcRPlanSetPos.restype = ct.c_int
lcRPlanSetPos.argtypes = [ct.c_int, ct.c_double, ct.c_double]

lcRPlanDeleteVer = litecad.lcRPlanDeleteVer
lcRPlanDeleteVer.restype = ct.c_int
lcRPlanDeleteVer.argtypes = [ct.c_int, ct.c_int]

lcRPlanGetFirstVer = litecad.lcRPlanGetFirstVer
lcRPlanGetFirstVer.restype = ct.c_int
lcRPlanGetFirstVer.argtypes = [ct.c_int]

lcRPlanGetNextVer = litecad.lcRPlanGetNextVer
lcRPlanGetNextVer.restype = ct.c_int
lcRPlanGetNextVer.argtypes = [ct.c_int, ct.c_int]

lcRPlanGetLastVer = litecad.lcRPlanGetLastVer
lcRPlanGetLastVer.restype = ct.c_int
lcRPlanGetLastVer.argtypes = [ct.c_int]

lcRPlanGetPrevVer = litecad.lcRPlanGetPrevVer
lcRPlanGetPrevVer.restype = ct.c_int
lcRPlanGetPrevVer.argtypes = [ct.c_int, ct.c_int]

lcRPlanGetVer = litecad.lcRPlanGetVer
lcRPlanGetVer.restype = ct.c_int
lcRPlanGetVer.argtypes = [ct.c_int, ct.c_int]

lcRPlanGetPoint = litecad.lcRPlanGetPoint
lcRPlanGetPoint.restype = ct.c_int
lcRPlanGetPoint.argtypes = [ct.c_int, ct.c_double, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_int)]

lcRPlanGetDist = litecad.lcRPlanGetDist
lcRPlanGetDist.restype = ct.c_int
lcRPlanGetDist.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcColorIsRGB = litecad.lcColorIsRGB
lcColorIsRGB.restype = ct.c_int
lcColorIsRGB.argtypes = [ct.c_wchar_p]

lcColorGetRed = litecad.lcColorGetRed
lcColorGetRed.restype = ct.c_int
lcColorGetRed.argtypes = [ct.c_wchar_p]

lcColorGetGreen = litecad.lcColorGetGreen
lcColorGetGreen.restype = ct.c_int
lcColorGetGreen.argtypes = [ct.c_wchar_p]

lcColorGetBlue = litecad.lcColorGetBlue
lcColorGetBlue.restype = ct.c_int
lcColorGetBlue.argtypes = [ct.c_wchar_p]

lcColorGetIndex = litecad.lcColorGetIndex
lcColorGetIndex.restype = ct.c_int
lcColorGetIndex.argtypes = [ct.c_wchar_p]

lcColorToVal = litecad.lcColorToVal
lcColorToVal.restype = ct.c_int
lcColorToVal.argtypes = [ct.c_wchar_p, ct.POINTER(ct.c_int), ct.POINTER(ct.c_int), ct.POINTER(ct.c_int), ct.POINTER(ct.c_int), ct.POINTER(ct.c_int)]

lcColorSetPalette = litecad.lcColorSetPalette
lcColorSetPalette.restype = ct.c_int
lcColorSetPalette.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcColorGetPalette = litecad.lcColorGetPalette
lcColorGetPalette.restype = ct.c_int
lcColorGetPalette.argtypes = [ct.c_int, ct.POINTER(ct.c_int), ct.POINTER(ct.c_int), ct.POINTER(ct.c_int)]

lcImageLoad = litecad.lcImageLoad
lcImageLoad.restype = ct.c_int
lcImageLoad.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int]

lcImageLoadDIB = litecad.lcImageLoadDIB
lcImageLoadDIB.restype = ct.c_int
lcImageLoadDIB.argtypes = [ct.c_int, ct.c_int]

lcImageSetPixelRGB = litecad.lcImageSetPixelRGB
lcImageSetPixelRGB.restype = ct.c_int
lcImageSetPixelRGB.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcImageSetPixelI = litecad.lcImageSetPixelI
lcImageSetPixelI.restype = ct.c_int
lcImageSetPixelI.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcImageGetPixelRGB = litecad.lcImageGetPixelRGB
lcImageGetPixelRGB.restype = ct.c_int
lcImageGetPixelRGB.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.POINTER(ct.c_int), ct.POINTER(ct.c_int), ct.POINTER(ct.c_int)]

lcImageGetPixelI = litecad.lcImageGetPixelI
lcImageGetPixelI.restype = ct.c_int
lcImageGetPixelI.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.POINTER(ct.c_int)]

lcImageSetPalColor = litecad.lcImageSetPalColor
lcImageSetPalColor.restype = ct.c_int
lcImageSetPalColor.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcImageGetPalColor = litecad.lcImageGetPalColor
lcImageGetPalColor.restype = ct.c_int
lcImageGetPalColor.argtypes = [ct.c_int, ct.c_int, ct.POINTER(ct.c_int), ct.POINTER(ct.c_int), ct.POINTER(ct.c_int)]

lcCreateProps = litecad.lcCreateProps
lcCreateProps.restype = ct.c_int
lcCreateProps.argtypes = [wt.HWND, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcDeleteProps = litecad.lcDeleteProps
lcDeleteProps.restype = ct.c_int
lcDeleteProps.argtypes = [ct.c_int]

lcPropsResize = litecad.lcPropsResize
lcPropsResize.restype = ct.c_int
lcPropsResize.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcPropsUpdate = litecad.lcPropsUpdate
lcPropsUpdate.restype = ct.c_int
lcPropsUpdate.argtypes = [ct.c_int, ct.c_int]

lcFilletSetLines = litecad.lcFilletSetLines
lcFilletSetLines.restype = ct.c_int
lcFilletSetLines.argtypes = [ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcFillet = litecad.lcFillet
lcFillet.restype = ct.c_int
lcFillet.argtypes = [ct.c_double, ct.c_double, ct.c_double]

lcFilletGetPoint = litecad.lcFilletGetPoint
lcFilletGetPoint.restype = ct.c_int
lcFilletGetPoint.argtypes = [ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lcWFieldSet = litecad.lcWFieldSet
lcWFieldSet.restype = ct.c_int
lcWFieldSet.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcWFieldClear = litecad.lcWFieldClear
lcWFieldClear.restype = ct.c_int
lcWFieldClear.argtypes = [ct.c_int]

lcWFieldDivide = litecad.lcWFieldDivide
lcWFieldDivide.restype = ct.c_int
lcWFieldDivide.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lcWFieldAddCR = litecad.lcWFieldAddCR
lcWFieldAddCR.restype = ct.c_int
lcWFieldAddCR.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcWFieldSetCR = litecad.lcWFieldSetCR
lcWFieldSetCR.restype = ct.c_int
lcWFieldSetCR.argtypes = [ct.c_int, ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lcWFieldDeleteCR = litecad.lcWFieldDeleteCR
lcWFieldDeleteCR.restype = ct.c_int
lcWFieldDeleteCR.argtypes = [ct.c_int, ct.c_int]

lcWFieldActiveCR = litecad.lcWFieldActiveCR
lcWFieldActiveCR.restype = ct.c_int
lcWFieldActiveCR.argtypes = [ct.c_int, ct.c_int]

lcWFieldSave = litecad.lcWFieldSave
lcWFieldSave.restype = ct.c_int
lcWFieldSave.argtypes = [ct.c_int, ct.c_wchar_p]

lcWFieldLoad = litecad.lcWFieldLoad
lcWFieldLoad.restype = ct.c_int
lcWFieldLoad.argtypes = [ct.c_int, ct.c_wchar_p]

lcWFieldFirstCR = litecad.lcWFieldFirstCR
lcWFieldFirstCR.restype = ct.c_int
lcWFieldFirstCR.argtypes = [ct.c_int]

lcWFieldNextCR = litecad.lcWFieldNextCR
lcWFieldNextCR.restype = ct.c_int
lcWFieldNextCR.argtypes = [ct.c_int, ct.c_int]

lcExpEntity = litecad.lcExpEntity
lcExpEntity.restype = ct.c_int
lcExpEntity.argtypes = [ct.c_int, ct.c_int]

lcExpGetPline = litecad.lcExpGetPline
lcExpGetPline.restype = ct.c_int

lcExpGetVertex = litecad.lcExpGetVertex
lcExpGetVertex.restype = ct.c_int
lcExpGetVertex.argtypes = [ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lc2_Initialize = litecad.lc2_Initialize
lc2_Initialize.restype = ct.c_int

lc2_Uninitialize = litecad.lc2_Uninitialize
lc2_Uninitialize.restype = ct.c_int

lc2_Create = litecad.lc2_Create
lc2_Create.restype = ct.c_int
lc2_Create.argtypes = [wt.HWND, ct.c_int]

lc2_Delete = litecad.lc2_Delete
lc2_Delete.restype = ct.c_int
lc2_Delete.argtypes = [ct.c_int]

lc2_OnClose = litecad.lc2_OnClose
lc2_OnClose.restype = ct.c_int
lc2_OnClose.argtypes = [ct.c_int]

lc2_Position = litecad.lc2_Position
lc2_Position.restype = ct.c_int
lc2_Position.argtypes = [ct.c_int, ct.c_int, ct.c_int, ct.c_int, ct.c_int]

lc2_Command = litecad.lc2_Command
lc2_Command.restype = ct.c_int
lc2_Command.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lc2_GetWnd = litecad.lc2_GetWnd
lc2_GetWnd.restype = ct.c_int
lc2_GetWnd.argtypes = [ct.c_int]

lc2_GetDrw = litecad.lc2_GetDrw
lc2_GetDrw.restype = ct.c_int
lc2_GetDrw.argtypes = [ct.c_int]

lc2_GetBlock = litecad.lc2_GetBlock
lc2_GetBlock.restype = ct.c_int
lc2_GetBlock.argtypes = [ct.c_int]

lc2_FileLoad = litecad.lc2_FileLoad
lc2_FileLoad.restype = ct.c_int
lc2_FileLoad.argtypes = [ct.c_int, ct.c_wchar_p]

lc2_FileSave = litecad.lc2_FileSave
lc2_FileSave.restype = ct.c_int
lc2_FileSave.argtypes = [ct.c_int, ct.c_wchar_p, ct.c_int]

lc2_WFieldSave = litecad.lc2_WFieldSave
lc2_WFieldSave.restype = ct.c_int
lc2_WFieldSave.argtypes = [ct.c_int, ct.c_wchar_p]

lc2_WFieldLoad = litecad.lc2_WFieldLoad
lc2_WFieldLoad.restype = ct.c_int
lc2_WFieldLoad.argtypes = [ct.c_int, ct.c_wchar_p]

lc2_ExpStart = litecad.lc2_ExpStart
lc2_ExpStart.restype = ct.c_int
lc2_ExpStart.argtypes = [ct.c_int, ct.c_int]

lc2_ExpGetPline = litecad.lc2_ExpGetPline
lc2_ExpGetPline.restype = ct.c_int
lc2_ExpGetPline.argtypes = [ct.c_int]

lc2_ExpGetEntity = litecad.lc2_ExpGetEntity
lc2_ExpGetEntity.restype = ct.c_int
lc2_ExpGetEntity.argtypes = [ct.c_int]

lc2_ExpGetVertex = litecad.lc2_ExpGetVertex
lc2_ExpGetVertex.restype = ct.c_int
lc2_ExpGetVertex.argtypes = [ct.c_int, ct.POINTER(ct.c_double), ct.POINTER(ct.c_double)]

lc2_ExpGetPoint = litecad.lc2_ExpGetPoint
lc2_ExpGetPoint.restype = ct.c_int
lc2_ExpGetPoint.argtypes = [ct.c_int]

lc2_CbCopy = litecad.lc2_CbCopy
lc2_CbCopy.restype = ct.c_int
lc2_CbCopy.argtypes = [ct.c_int, ct.c_double, ct.c_double, ct.c_double, ct.c_double]

lc2_CbCopy2 = litecad.lc2_CbCopy2
lc2_CbCopy2.restype = ct.c_int
lc2_CbCopy2.argtypes = [ct.c_int, ct.c_int, ct.c_int]

lc2_CbPaste = litecad.lc2_CbPaste
lc2_CbPaste.restype = ct.c_int
lc2_CbPaste.argtypes = [ct.c_int, ct.c_double, ct.c_double]


#  **** start evnt
